angular.module('ctrl.myfeedbacks', [])

.controller('MyFeedbacksCtrl', function($scope, $q, UserProfile, $rootScope, $ionicScrollDelegate, $ionicSideMenuDelegate, $state) {
	
	$rootScope.lastMinuteView = false;
	
	$(document).off('forceLogout').on('forceLogout', function(evt, data){
		localStorage.removeItem("userId");
		localStorage.removeItem("userUpiId");
		userId = null;
		userUpiId = null;
		$ionicScrollDelegate.$getByHandle('sideMenuScroll').scrollTop(false);
		$ionicSideMenuDelegate.toggleLeft(false);
		$state.go("signin");
	});
	$(document).off('notifModalUser').on('notifModalUser', function(evt, data){
		$scope.showModalUser(data);
	});
	
	if(window.StatusBar){
		StatusBar.show();
	}
	
	$scope.showLoadMoreMyFeedbacks = false;
	
	$scope.myFeedbacksInfo = {"cnt":0,"perc":0};
	
	var deferred_userFeedbacksInfo = $q.defer();
	var promise_userFeedbacksInfo = deferred_userFeedbacksInfo.promise;
	promise_userFeedbacksInfo.then(function(result){
		$scope.myFeedbacksInfo.cnt = result.feedbacks_info[0];
		$scope.myFeedbacksInfo.perc = Math.round(result.feedbacks_info[1]);
	}, function(reason){
	});
	UserProfile.getFeedbacksInfo(userId, deferred_userFeedbacksInfo);

	$scope.showMyFeedbacks = function(){
		
		/*
		try {
			if($ionicScrollDelegate.$getByHandle('myFeedbackScroll').getScrollPosition().top == 0 && $scope.myFeedbacksPage > 0){
				$scope.myFeedbacksPage--;
				$scope.$broadcast('scroll.infiniteScrollComplete');
				return;
			}
		} catch (e) {
			log("myFeedbackScroll err: "+e);
		}
		*/
		
		//log("showMyFeedbacks. page: "+$scope.myFeedbacksPage);
		
		var deferred_userFeedbacks = $q.defer();
		var promise_userFeedbacks = deferred_userFeedbacks.promise;
		promise_userFeedbacks.then(function(result){
			
			if($scope.myFeedbacksPage > 0){
				$scope.myFeedbacks = $scope.myFeedbacks.concat(result.feedbacks);
				$scope.$broadcast('scroll.infiniteScrollComplete');
			} else {
				$scope.myFeedbacks = result.feedbacks;
			}
			if(result.feedbacks.length < 40){
				$scope.showLoadMoreMyFeedbacks = false;
			} else {
				$scope.showLoadMoreMyFeedbacks = true;
			}
			
		}, function(reason){
		});
		UserProfile.showUserFeedback(userId, $scope.myFeedbacksPage, deferred_userFeedbacks);
	}
	
	$scope.myFeedbacksPage = 0;
	$scope.showMyFeedbacks();
	
	$scope.showMyFeedbackMore = function(){
		$scope.myFeedbacksPage = $scope.myFeedbacksPage+1;
		$scope.showMyFeedbacks();
	};
	
});