angular.module('ctrl.signin', [])

.controller('SignInCtrl', function($scope, $http, $state, $ionicSideMenuDelegate, NotificationSettings, $q, UserProfile, $rootScope, $ionicSlideBoxDelegate, $ionicModal, $ionicScrollDelegate, Search, Signin, $ionicPopup, MyCamera, $translate){
	
	$rootScope.lastMinuteView = false;
	
	var jc_dim;
	var jcrop_api;
	var jc_uid = 0;
	var jc_file = "";

	if(window.StatusBar){
		StatusBar.hide();
	}
	
	$scope.hideFooter = false;
	
	$scope.forgotPassword = function(){
		$state.go('forgotpassword');
	};
	
	$scope.signIn = function(user) {
		
		if(user == undefined){
			return false;
		}
		
		$('#sign_in_actions').hide();
		$('#sign_in_loading').show();
		
		if(user.login != undefined && user.login.length > 0 && user.password != undefined && user.password.length > 0){

			var deferred_signin = $q.defer();
			var promise_signin = deferred_signin.promise;
			promise_signin.then(function(result){
				if(result != null && result.user_login != "error_login" && result.user_login != "error_params"){
					userId = result.user_login;
					localStorage.setItem("userId", result.user_login);
					
					// PUSH NOTIFICATIONS
					try {
						if ( device.platform == 'android' || device.platform == 'Android'){
							pushNotification.register(pushRegisterSuccessHandler, pushRegisterErrorHandler, {"senderID":androidAppId,"ecb":"onNotification"});
						} else {
							pushNotification.register(pushRegisterTokenHandler, pushRegisterErrorHandler, {"badge":"true","sound":"true","alert":"true","ecb":"onNotificationAPN"});
						}
					} catch (e) {
					}
					
					var deferred_upi = $q.defer();
					var promise_upi = deferred_upi.promise;
					promise_upi.then(function(result){
						userUpiId = parseInt($(result).html());
						localStorage.setItem("userUpiId", userUpiId);
						
						// caricamento info utente loggato
						var deferred_user = $q.defer();
						var promise_user = deferred_user.promise;
						promise_user.then(function(result){
							
							myUserData = result.users[0].user;
							localStorage.setItem("myUserData", JSON.stringify(myUserData));
							
							//$rootScope.sideMenuWidth = $(window).width() > 768 ? Math.round($(window).width()*0.4) : Math.round($(window).width()*0.85);
							$rootScope.sideMenuWidth = Math.round($(window).width()*0.85);
							var mcw = $(window).width()*0.85;
							if(mcw > 775){
								mcw = 775;
							}
							var mch = (($(window).width()*0.85) * 300 / 775);
							if(mch > 300){
								mch = 300;
							}
							$rootScope.myCoverWidth = mcw+'px';
							$rootScope.myCoverHeight = mch;
							$rootScope.myUData = myUserData;
							
							$('#sign_in_actions').show();
							$('#sign_in_loading').hide();
							user.login = "";
							user.password = "";
							//$scope.checkSubscription();
							//$scope.getMyGeolocationStatus();
							$state.go('tab.home');
							/*
							var deferred_notifications = $q.defer();
							var promise_notifications = deferred_notifications.promise;
							promise_notifications.then(function(result){
								$rootScope.notifList = result.notifications;
								$('#sign_in_actions').show();
								$('#sign_in_loading').hide();
								user.login = "";
								user.password = "";
								//$scope.checkSubscription();
								//$scope.getMyGeolocationStatus();
								$state.go('tab.home');
							}, function(reason){
								
							});
							NotificationSettings.get(userId, deferred_notifications);
							*/

						}, function(reason){
							
						});
						UserProfile.getInfo(userId, deferred_user);
					}, function(reason){
						//alert("login request error (getUserUpi): "+reason);
						localStorage.removeItem("userId");
						localStorage.removeItem("userUpiId");
						localStorage.removeItem("myUserData");
						$('#sign_in_actions').show();
						$('#sign_in_loading').hide();
					});
					Signin.getUserUpi(userId, deferred_upi);
					
				} else {
					$('#sign_in_actions').show();
					$('#sign_in_loading').hide();
					alert("login errato");
				}
			}, function(reason){
				$('#sign_in_actions').show();
				$('#sign_in_loading').hide();
				//alert("login request error (userLogin): "+reason);
			});
			Signin.userLogin(user.login, user.password, deferred_signin);
			
		} else {
			// err
		}
		
	};
	
	function showPreview(coords)
	{
		var rx = 120 / coords.w;
		var ry = 120 / coords.h;

		$('#avatar_x').val(coords.x);
		$('#avatar_y').val(coords.y);
		$('#avatar_w').val(coords.w);
		$('#avatar_h').val(coords.h);
		
		$('#preview').css({
			width: Math.round(rx * jc_dim[0]) + 'px',
			height: Math.round(ry * jc_dim[1]) + 'px',
			marginLeft: '-' + Math.round(rx * coords.x) + 'px',
			marginTop: '-' + Math.round(ry * coords.y) + 'px'
		});
	}
	
	function upload_win(r) {
		$scope.act.uploadingAvatar = false;
		$scope.act.selectedAvatar = "";
		if("false" != r.response && r.response.length > 0){
			// ricaricare info utente
			
			$scope.act.user.avatar = "/nicom1/users/"+$scope.act.userIdActivated+"/thumbs/"+r.response+".jpg";
			
			// CROP
			$ionicModal.fromTemplateUrl('templates/modal-activation-success-crop.html', {
				id: "activation-success-crop",
				scope: $scope,
				animation: 'slide-in-up',
				hardwareBackButtonClose: false
			}).then(function(modal) {
				$scope.modalActSC = modal;
				$scope.modalActSC.show();
			});
			
			/*
			var deferred_user = $q.defer();
			var promise_user = deferred_user.promise;
			promise_user.then(function(result){
				$scope.act.user = result.users[0].user;
				var profile = "";
				if($scope.act.user.age_1 != null){
					if($scope.act.user.profile.indexOf("Trav") == -1){
						profile += $scope.act.user.profile.indexOf("donna, donna") != -1 || $scope.act.user.profile.indexOf("Donna") != -1 || $scope.act.user.profile.indexOf("woman, woman") != -1 || $scope.act.user.profile.indexOf("Woman") != -1 ? "<i class='ion-female color-rosa'></i>" : "<i class='ion-male color-blu'></i>";
					}
					profile += " "+$scope.act.user.age_1;
					if($scope.act.user.age_2 != null && $scope.act.user.age_2 != "null"){
						profile += $scope.act.user.profile.indexOf("uomo, uomo") != -1 || $scope.act.user.profile.indexOf("man, man") != -1 || $scope.act.user.profile.indexOf("Uomo") != -1 || $scope.act.user.profile.indexOf("Man") != -1 ? " <i class='ion-male color-blu'></i>" : " <i class='ion-female color-rosa'></i>";
						profile += " "+$scope.act.user.age_2;
					}
				}
				$scope.act.user.userProfile = profile == "" ? $scope.act.user.profile : profile;
				
			}, function(reason){
			});
			UserProfile.getInfo($scope.act.userIdActivated, deferred_user);
			*/
		}
		
		log("Code = " + r.responseCode);
		log("Response = " + r.response);
		log("Sent = " + r.bytesSent);
		
	}
	function upload_fail(error) {
		$scope.act.uploadingAvatar = false;
		$scope.act.selectedAvatar = "";
		/*
		log("upload error source " + error.source);
		log("upload error target " + error.target);
		*/
	}
	
	$scope.uploadAvatar = function(){
		
		$scope.act.uploadingAvatar = true;
		
		var params = {};
		params.uid = $scope.act.userIdActivated;
		params.fn = $scope.act.selectedAvatar.substr($scope.act.selectedAvatar.lastIndexOf('/') + 1);
		params.img = 1;
		
		var options = new FileUploadOptions();
		options.fileName = $scope.act.selectedAvatar.substr($scope.act.selectedAvatar.lastIndexOf('/') + 1);
		options.params = params;
		
		var ft = new FileTransfer();
		ft.onprogress = function(progressEvent) {
			if (progressEvent.lengthComputable) {
				//$scope.act.uploadProgress = (progressEvent.loaded / progressEvent.total)*100;
				$('#upload_progress').css("width", ((progressEvent.loaded / progressEvent.total)*100)+"%");
			} else {
				//log("progress: not progressEvent.lengthComputable");
				//loadingStatus.increment();
			}
		};		
		ft.upload($scope.act.selectedAvatar, encodeURI("https://www.erosland.it/erosland_app_upload.php?uid="+$scope.act.userIdActivated+"&aid=X&f_pub=1&f_vote=0&fn="+params.fn+"&img=1&avatar=1"), 
			upload_win, 
			upload_fail, 
			options
		);
		
	};
	
	$scope.selectAvatar = function(){
		
		if(!navigator.camera){
		} else {

			var cameraOptions = {
				quality: 75,
				destinationType: Camera.DestinationType.FILE_URI,
				sourceType: Camera.PictureSourceType.CAMERA,
				allowEdit: false,
				encodingType: Camera.EncodingType.JPEG,
				saveToPhotoAlbum: false
			};

			$ionicPopup.show({
				template: $translate.instant('foto_album_nuova'),
				title: $translate.instant('seleziona_immagine_profilo'),
				scope: $scope,
				buttons: [{text: '<i class="ion-images"></i> '+$translate.instant('album'), type: 'button-positive',onTap: function(e){return 0;} },{text: '<i class="ion-camera"></i> '+$translate.instant('nuova'), type: 'button-positive', onTap: function(e) {return 1;}}]
			}).then(function(res) {
				if(res == 0){
					cameraOptions.sourceType = Camera.PictureSourceType.PHOTOLIBRARY;
				} else if(res == 1){
					cameraOptions.sourceType = Camera.PictureSourceType.CAMERA;
				}
				MyCamera.getPicture(cameraOptions).then(
					function(imageURI) {
						$scope.act.selectedAvatar = imageURI;
					}, function(err) {
					}
				);
			});
			
		}
	};
	
	$scope.closeActivationSuccess = function(){
		$scope.modalActS.hide();
		$scope.modalActS.remove();
		$scope.modalAct.hide();
		$scope.modalAct.remove();
		$scope.act = null;
		if(window.StatusBar){
			StatusBar.hide();
		}
	};

	$scope.closeActivationSuccessCrop = function(){
		$scope.modalActSC.hide();
		$scope.modalActSC.remove();
		var deferred_user = $q.defer();
		var promise_user = deferred_user.promise;
		promise_user.then(function(result){
			$scope.act.user = result.users[0].user;
			var profile = "";
			if($scope.act.user.age_1 != null){
				if($scope.act.user.profile.indexOf("Trav") == -1){
					profile += $scope.act.user.profile.indexOf("donna, donna") != -1 || $scope.act.user.profile.indexOf("Donna") != -1 || $scope.act.user.profile.indexOf("woman, woman") != -1 || $scope.act.user.profile.indexOf("Woman") != -1 ? "<i class='ion-female color-rosa'></i>" : "<i class='ion-male color-blu'></i>";
				}
				profile += " "+$scope.act.user.age_1;
				if($scope.act.user.age_2 != null && $scope.act.user.age_2 != "null"){
					profile += $scope.act.user.profile.indexOf("uomo, uomo") != -1 || $scope.act.user.profile.indexOf("man, man") != -1 || $scope.act.user.profile.indexOf("Uomo") != -1 || $scope.act.user.profile.indexOf("Man") != -1 ? " <i class='ion-male color-blu'></i>" : " <i class='ion-female color-rosa'></i>";
					profile += " "+$scope.act.user.age_2;
				}
			}
			$scope.act.user.userProfile = profile == "" ? $scope.act.user.profile : profile;
		}, function(reason){
		});
		UserProfile.getInfo($scope.act.userIdActivated, deferred_user);
	};

	$scope.checkUserActivation = function(){
		
		$scope.act.activating = true;
		
		var deferred_activation = $q.defer();
		var promise_activation = deferred_activation.promise;
		promise_activation.then(function(result){
			
			log("*** ACTIVATION", result.user_activation);
			
			if(result.user_activation != false && result.user_activation != "0"){
				$scope.act.userIdActivated = result.user_activation;
				//$scope.act.userIdActivated = 52546;
				
				// utente attivato -> carichiamo info
				var deferred_user = $q.defer();
				var promise_user = deferred_user.promise;
				promise_user.then(function(result){
					$scope.act.user = result.users[0].user;
					var profile = "";
					if($scope.act.user.age_1 != null){
						if($scope.act.user.profile.indexOf("Trav") == -1){
							profile += $scope.act.user.profile.indexOf("donna, donna") != -1 || $scope.act.user.profile.indexOf("Donna") != -1 || $scope.act.user.profile.indexOf("woman, woman") != -1 || $scope.act.user.profile.indexOf("Woman") != -1 ? "<i class='ion-female color-rosa'></i>" : "<i class='ion-male color-blu'></i>";
						}
						profile += " "+$scope.act.user.age_1;
						if($scope.act.user.age_2 != null && $scope.act.user.age_2 != "null"){
							profile += $scope.act.user.profile.indexOf("uomo, uomo") != -1 || $scope.act.user.profile.indexOf("man, man") != -1 || $scope.act.user.profile.indexOf("Uomo") != -1 || $scope.act.user.profile.indexOf("Man") != -1 ? " <i class='ion-male color-blu'></i>" : " <i class='ion-female color-rosa'></i>";
							profile += " "+$scope.act.user.age_2;
						}
					}
					$scope.act.user.userProfile = profile == "" ? $scope.act.user.profile : profile;
					
					$scope.act.selectedAvatar = "";
					$scope.act.selectedCover = "";
					$scope.act.uploadProgress = 0;
					$scope.act.uploadingAvatar = false;
					
					var cw = ($(window).width()-20);
					if(cw > 775){
						cw = 775;
					}
					var ch = (($(window).width()-20) * 290 / 775);
					if(ch > 290){
						ch = 290;
					}

					$scope.act.coverWidth = cw;
					$scope.act.coverHeight = ch;
					
					$ionicModal.fromTemplateUrl('templates/modal-activation-success.html', {
						id: "activation-success",
						scope: $scope,
						animation: 'slide-in-right',
						hardwareBackButtonClose: false
					}).then(function(modal) {
						$scope.modalActS = modal;
						$scope.modalActS.show();
					});
					
				}, function(reason){
					
				});
				UserProfile.getInfo($scope.act.userIdActivated, deferred_user);
			} else {
				$scope.act.activating = false;
				alert("Attivazione fallita");
			}
		}, function(reason){
		});
		Signin.userActivation($scope.act.code, deferred_activation);
		
	};
	
	$scope.closeActivation = function(){
		$scope.modalAct.hide();
		$scope.modalAct.remove();
		$scope.act = null;
		if(window.StatusBar){
			StatusBar.hide();
		}
	};

	$scope.accountActive = function(){
		
		$scope.act = {code:"", activating: false};
		
		$ionicModal.fromTemplateUrl('templates/modal-activation.html', {
			id: "activation",
			scope: $scope,
			animation: 'slide-in-up',
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalAct = modal;
			$scope.modalAct.show();
		});
	};
	
	$scope.closeRegistration = function(){
		$scope.modalReg.hide();
		$scope.modalReg.remove();
		$scope.reg = null;
		if(window.StatusBar){
			StatusBar.hide();
		}
	};
	
	$scope.$on('modal.shown', function(event, modal){
		log("signin. modal.shown: "+modal.id);
		if(modal.id == "registration"){
			if(window.StatusBar){
				StatusBar.show();
				StatusBar.styleBlackOpaque();
			}
			$ionicSlideBoxDelegate.$getByHandle('registrationSlider').enableSlide(false);
		} else if(modal.id == "activation"){
			if(window.StatusBar){
				StatusBar.show();
				StatusBar.styleBlackOpaque();
			}
		} else if(modal.id == "activation-success-crop"){
			$('.jcrop-tracker').detach();
			$('.jcrop-holder').detach();
			$('#jcrop_target').unbind().load(function(){
				jcrop_api = $.Jcrop('#jcrop_target', {onChange: showPreview, onSelect: showPreview, aspectRatio: 1, boxWidth: $(window).width()-60});
				jc_dim = jcrop_api.getBounds();
				jcrop_api.setSelect([ 0, 0, 120, 120]);
			});
			$('#jcrop_target').attr("src", "https://www.erosland.it"+$scope.act.user.avatar.replace("thumbs", "images"));
			$('#preview').attr("src", "https://www.erosland.it"+$scope.act.user.avatar.replace("thumbs", "images"));
			jc_uid = $scope.act.userIdActivated;
			jc_file = $scope.act.user.avatar.substring($scope.act.user.avatar.lastIndexOf("/")+1);
		}

	});
	
	$scope.saveCropAvatar = function(){
		var deferred_crop = $q.defer();
		var promise_crop = deferred_crop.promise;
		promise_crop.then(function(result){
			
			if(result.salva_foto_profilo == "ok"){
				$scope.closeActivationSuccessCrop();
			} else {
				alert("Errore salvataggio immagine");
			}
			
		}, function(reason){
		});
		log("saveCropAvatar: "+jc_uid+", "+jc_file+", "+$('#avatar_x').val()+", "+$('#avatar_y').val()+", "+$('#avatar_w').val()+", "+$('#avatar_h').val());
		Signin.saveCropAvatar(jc_uid, jc_file, $('#avatar_x').val(), $('#avatar_y').val(), $('#avatar_w').val(), $('#avatar_h').val(), deferred_crop);
	};
	
	$scope.accountNew = function(){
		
		/*
		// keyboard show
		$scope.keyboardShowHandler = function(e){
			//$scope.reg.cntHeight = $scope.reg.cntHeight - e.keyboardHeight - 40;
			//$ionicSlideBoxDelegate.$getByHandle('registrationSlider').update();
		};
		window.addEventListener('native.keyboardshow', $scope.keyboardShowHandler);
		
		// keyboard hide
		$scope.keyboardHideHandler = function(e){
			//$scope.reg.cntHeight = $(window).height()-80;
			//$ionicSlideBoxDelegate.$getByHandle('registrationSlider').update();
		};
		window.addEventListener('native.keyboardhide', $scope.keyboardHideHandler);
		*/
		try {
			//cordova.plugins.Keyboard.disableScroll(true);
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
		} catch (e) {
		}
		
		$scope.reg = {};
		$scope.reg = {registering:false, currentStep: 0, optin: true, cntHeight: $(window).height()-80, countryId: 24, regionId: 0, zoneId: 0, cityId: 0, location: "", regions: [], zones:[], cities: [], description: "", nick: "", email: "", email_: "", password: "", password_: "", nickExists: false, nickNotValid: false, nickShort: false, emailExists: false, profileValueId: 4, age1: "", age1Ok: false, age2: "", age2Ok: false, like4: false, like5: false, like6: false, like7: false, like9: false, like42: false, like50: false, pref1: false, pref2: false, pref3: false, pref4: false, pref5: false, pref6: false, ageRequired: false, regionRequired: false, zoneRequired: false, cityRequired: false, inviteCode: ""};
		
		// TEST
		/*
		$scope.reg.nick = "tapp";
		$scope.reg.email = "danielevicari@gmail.com";
		$scope.reg.email_ = "danielevicari@gmail.com";
		$scope.reg.password = "testt";
		$scope.reg.password_ = "testt";
		$scope.reg.age1 = "1981-02-20";
		$scope.reg.like5 = true;
		$scope.reg.like6 = true;
		$scope.reg.pref1 = true;
		$scope.reg.pref2 = true;
		$scope.reg.description = "test descrizione test descrizione test descrizione test descrizione test descrizione\r\n\r\nhttp://www.erosland.it\r\n\r\n&&& %%% àààà (((";
		$scope.reg.location = "località";
		*/
		
		$scope.reg.countries = [{val:1, name:'Albania'}, {val:12, name:'Algeria'}, {val:3, name:'Australia'}, {val:2, name:'Austria'}, {val:4, name:'Belgium'}, {val:80, name:'Bosna Hercegovina'}, {val:6, name:'Brazil'}, {val:5, name:'Bulgaria'}, {val:66, name:'Byelorussia'}, {val:7, name:'Canada'}, {val:9, name:'Chile'}, {val:21, name:'Croatia'}, {val:56, name:'Cyprus'}, {val:60, name:'Czech Republic'}, {val:11, name:'Denmark'}, {val:69, name:'Emirates'}, {val:58, name:'Estonia'}, {val:15, name:'Finland'}, {val:16, name:'France'}, {val:74, name:'French Polinesia'}, {val:10, name:'Germany'}, {val:18, name:'Greece'}, {val:33, name:'Holland'}, {val:19, name:'HongKong'}, {val:55, name:'Hungary'}, {val:23, name:'Ireland'}, {val:64, name:'Israel'}, {val:24, name:'Italia'}, {val:25, name:'Japan'}, {val:57, name:'Latvia'}, {val:54, name:'Lebanon'}, {val:72, name:'Lesotho'}, {val:79, name:'Liechtensten'}, {val:59, name:'Lithuania'}, {val:28, name:'Luxembourg'}, {val:77, name:'Makedonija'}, {val:31, name:'Malta'}, {val:68, name:'Mauritius'}, {val:32, name:'Mexico'}, {val:78, name:'Moldova'}, {val:30, name:'Monaco'}, {val:29, name:'Morocco'}, {val:35, name:'New Zealand'}, {val:34, name:'Norway'}, {val:73, name:'Papua New Guinea'}, {val:40, name:'Paraguay'}, {val:36, name:'Peru'}, {val:37, name:'Philippines'}, {val:38, name:'Poland'}, {val:39, name:'Portugal'}, {val:62, name:'Repubblica di San Marino'}, {val:41, name:'Romania'}, {val:42, name:'Russia'}, {val:75, name:'Samoa New Zeland'}, {val:76, name:'Samoa USA'}, {val:43, name:'Saudi Arabia'}, {val:61, name:'Slovakia'}, {val:46, name:'Slovenia'}, {val:71, name:'South Africa'}, {val:27, name:'South Korea'}, {val:14, name:'Spain'}, {val:67, name:'Srbija - Crna Gora'}, {val:47, name:'Swaziland'}, {val:44, name:'Sweden'}, {val:8, name:'Switzerland'}, {val:50, name:'Taiwan'}, {val:48, name:'Thailand'}, {val:49, name:'Turkey'}, {val:70, name:'Ukraine'}, {val:17, name:'United Kingdom'}, {val:51, name:'USA'}, {val:63, name:'Vaticano'}];
		$scope.getRegionList();
		
		$ionicModal.fromTemplateUrl('templates/modal-registration.html', {
			id: "registration",
			scope: $scope,
			animation: 'slide-in-up',
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalReg = modal;
			$scope.modalReg.show();
			$('.slider-pager').hide();
		});
	};
	
	$scope.registrationPrevStep = function(){
		$scope.reg.currentStep--;
		$ionicSlideBoxDelegate.$getByHandle('registrationSlider').slide($scope.reg.currentStep);
		//$ionicScrollDelegate.$getByHandle('registrationScroll').scrollTop(true);
	};

	$scope.registrationNextStep = function(){
		
		if($scope.reg.currentStep == 0 && ($scope.reg.nick.length == 0 || $scope.reg.email.length == 0 || $scope.reg.password.length == 0)){
			$('#reg_error_message').fadeIn();
			setTimeout(function(){$('#reg_error_message').fadeOut()}, 3000);
		} else if($scope.reg.currentStep == 0 && $scope.reg.email.length > 0 && $scope.reg.email == $scope.reg.email_ && $scope.reg.password.length > 0 && $scope.reg.password == $scope.reg.password_){
			
			if($scope.reg.nick.match(/^[a-zA-Z0-9\s]+$/) == null){
				$scope.reg.nickNotValid = true;
				$('#reg_error_message').fadeIn();
				setTimeout(function(){$('#reg_error_message').fadeOut()}, 3000);
			} else {
				$scope.reg.nickNotValid = false;
				if($scope.reg.nick.length < 5){
					$scope.reg.nickShort = true;
					$('#reg_error_message').fadeIn();
					setTimeout(function(){$('#reg_error_message').fadeOut()}, 3000);
				} else {
					$scope.reg.nickShort = false;
					// controllo nick, email
					var deferred_nick = $q.defer();
					var promise_nick = deferred_nick.promise;
					promise_nick.then(function(result){
						$scope.reg.nickExists = !result.check_user_nick;
						
						if(!$scope.reg.nickExists){
							// nick ok -> controllo email
							
							var deferred_email = $q.defer();
							var promise_email = deferred_email.promise;
							promise_email.then(function(result){
								
								$scope.reg.emailExists = !result.check_user_email;
								
								if(!$scope.reg.emailExists){
									$scope.reg.currentStep++;
									$ionicSlideBoxDelegate.$getByHandle('registrationSlider').slide($scope.reg.currentStep);
								} else {
									$('#reg_error_message').fadeIn();
									setTimeout(function(){$('#reg_error_message').fadeOut()}, 3000);
								}
								
							}, function(reason){
							});
							Signin.checkUserEmail($scope.reg.email, deferred_email);
						} else {
							$('#reg_error_message').fadeIn();
							setTimeout(function(){$('#reg_error_message').fadeOut()}, 3000);
						}
						
					}, function(reason){
					});
					Signin.checkUserNick($scope.reg.nick, deferred_nick);
				}
			}
		} else if($scope.reg.currentStep == 1){

			var scrolled = false;
			
			// controllo data di nascita
			if($scope.reg.profileValueId != 42){
				$scope.reg.age1Ok = $scope.reg.age1 != "";
				if(!$scope.reg.age1Ok && !scrolled){
					$ionicScrollDelegate.$getByHandle('step2Scroll').scrollTo(0, $('#field_data_nascita').position().top, true);
					scrolled = true;
				}
				if($scope.reg.age1Ok){
					scrolled = false;
				}				
			} else {
				$scope.reg.age1Ok = true;
			}
			
			if($scope.reg.profileValueId == 6 || $scope.reg.profileValueId == 7 || $scope.reg.profileValueId == 9){
				$scope.reg.age2Ok = $scope.reg.age2 != "";
				if(!$scope.reg.age2Ok && !scrolled){
					$ionicScrollDelegate.$getByHandle('step2Scroll').scrollTo(0, $('#field_data_nascita').position().top, true);
					scrolled = true;
				}
				if($scope.reg.age2Ok){
					scrolled = false;
				}				
			} else {
				$scope.reg.age2Ok = true;
			}
			
			$scope.reg.ageRequired = !$scope.reg.age1Ok || !$scope.reg.age2Ok;
			
			// controllo 'ci piace'
			if(!$scope.reg.like4 && !$scope.reg.like5 && !$scope.reg.like6 && !$scope.reg.like7 && !$scope.reg.like9 && !$scope.reg.like42 &&!$scope.reg.like50){
				$scope.reg.likeRequired = true;
				if(!scrolled){
					$ionicScrollDelegate.$getByHandle('step2Scroll').scrollTo(0, $('#field_ci_piace').position().top, true);
					scrolled = true;
				}
			} else {
				$scope.reg.likeRequired = false;
			}
			
			// controllo 'incontri di'
			if(!$scope.reg.pref1 && !$scope.reg.pref2 && !$scope.reg.pref3 && !$scope.reg.pref4 && !$scope.reg.pref5 && !$scope.reg.pref6){
				$scope.reg.prefRequired = true;
				if(!scrolled){
					$ionicScrollDelegate.$getByHandle('step2Scroll').scrollTo(0, $('#field_incontri_di').position().top, true);
					scrolled = true;
				}
			} else {
				$scope.reg.prefRequired = false;
			}
			
			if($scope.reg.age1Ok && $scope.reg.age2Ok && !$scope.reg.likeRequired && !$scope.reg.prefRequired){
				$scope.reg.currentStep++;
				$ionicSlideBoxDelegate.$getByHandle('registrationSlider').slide($scope.reg.currentStep);
			} else {
				$('#reg_error_message').fadeIn();
				setTimeout(function(){$('#reg_error_message').fadeOut()}, 2000);
			}
			
			
		} else if($scope.reg.currentStep == 2){
			
			$scope.reg.currentStep++;
			$ionicSlideBoxDelegate.$getByHandle('registrationSlider').slide($scope.reg.currentStep);
			
		} else if($scope.reg.currentStep == 3){
			
			if($scope.reg.countryId == 24){
				// Italia -> regione, provincia, comune obbligatori
				if($scope.reg.regionId == 0 || $scope.reg.zoneId == 0 || $scope.reg.cityId == 0){
					
					$scope.reg.regionRequired = $scope.reg.regionId == 0;
					$scope.reg.zoneRequired = $scope.reg.zoneId == 0;
					$scope.reg.cityRequired = $scope.reg.cityId == 0;
					
					$('#reg_error_message').fadeIn();
					setTimeout(function(){$('#reg_error_message').fadeOut()}, 2000);
				} else {
					$scope.reg.regionRequired = false;
					$scope.reg.zoneRequired = false;
					$scope.reg.cityRequired = false;
					$scope.reg.currentStep++;
					$ionicSlideBoxDelegate.$getByHandle('registrationSlider').slide($scope.reg.currentStep);
				}
				
			} else {
				$scope.reg.regionRequired = false;
				$scope.reg.zoneRequired = false;
				$scope.reg.cityRequired = false;
				$scope.reg.currentStep++;
				$ionicSlideBoxDelegate.$getByHandle('registrationSlider').slide($scope.reg.currentStep);
			}
			
		}
		
		//$ionicScrollDelegate.$getByHandle('registrationScroll').scrollTop(true);
	};
	
	$scope.getRegionList = function(){
		var deferred_search = $q.defer();
		var promise_search = deferred_search.promise;
		promise_search.then(function(result){
			$scope.reg.regions = [];
			for ( var r = 0; r < result.locs.length; r++) {
				var opt = result.locs[r].region.option;
				var rVal = opt.match(/value='([0-9]+)'/)[1];
				var rName = opt.match(/\&gt\;([^&]+)\&lt\;\//)[1];
				$scope.reg.regions.push({val:rVal, name:rName});
			}
		}, function(reason){
		});
		Search.getRegions($scope.reg.countryId, deferred_search);
	};
	
	$scope.getZoneList = function(){
		var deferred_search = $q.defer();
		var promise_search = deferred_search.promise;
		promise_search.then(function(result){
			$scope.reg.zones = [];
			for ( var z = 0; z < result.locs.length; z++) {
				if(result.locs[z].zone){
					var opt = result.locs[z].zone.option;
					var zVal = opt.match(/value='([0-9]+)'/)[1];
					var zName = "";
					try {
						zName = opt.match(/\&gt\;([^&]+)\&lt\;\//)[1];
					} catch (e) {
						zName = "";
					}
					$scope.reg.zones.push({val:zVal, name:zName});
				}
			}
		}, function(reason){
		});
		Search.getZones($scope.reg.countryId, $scope.reg.regionId, deferred_search);
	};

	$scope.getCityList = function(){
		var deferred_search = $q.defer();
		var promise_search = deferred_search.promise;
		promise_search.then(function(result){
			$scope.reg.cities = [];
			for ( var c = 0; c < result.locs.length; c++) {
				if(result.locs[c].city){
					var opt = result.locs[c].city.option;
					var cVal = opt.match(/value='([0-9]+)'/)[1];
					var cName = "";
					try {
						cName = opt.match(/\&gt\;([^&]+)\&lt\;\//)[1];
					} catch (e) {
						cName = "";
					}
					$scope.reg.cities.push({val:cVal, name:cName});
				}
			}
		}, function(reason){
		});
		Search.getCities($scope.reg.countryId, $scope.reg.regionId, $scope.reg.zoneId, deferred_search);
	};
	
	$scope.countrySelected = function(){
		$scope.reg.regions = [];
		$scope.reg.zones = [];
		$scope.reg.cities = [];
		$scope.getRegionList();
	};

	$scope.regionSelected = function(){
		$scope.reg.cities = [];
		$scope.reg.cityId = 0;
		if($scope.reg.regionId==0){
			$scope.reg.zones = [];
			$scope.reg.zoneId = 0;
		} else {
			$scope.getZoneList();
		}
	};
	
	$scope.zoneSelected = function(){
		if($scope.reg.zoneId==0){
			$scope.reg.cities = [];
			$scope.reg.cityId = 0;
		} else {
			$scope.getCityList();
		}
	};
	
	$scope.showTerms = function(){
		$ionicModal.fromTemplateUrl('templates/modal-terms.html', {
			id: "terms",
			scope: $scope,
			animation: 'slide-in-up',
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalTerms = modal;
			$scope.modalTerms.show();
		});
	};
	
	$scope.closeModalTerms = function(){
		$scope.modalTerms.hide();
		$scope.modalTerms.remove();
	};
	
	$scope.userRegistration = function(){
		
		$scope.reg.registering = true;
		
		var deferred_registration = $q.defer();
		var promise_registration = deferred_registration.promise;
		promise_registration.then(function(result){
			log("user_registration: "+result.user_registration);
			if(result.user_registration){
				$scope.reg.registering = false;
				$scope.closeRegistration();
				$ionicPopup.alert({
					title: $translate.instant('registrazione'),
					template: $translate.instant('registrazione_effettuata')
				});				
			}
		}, function(reason){
		});
		Signin.doUserRegistration($scope.reg.nick, $scope.reg.email, $scope.reg.password, $scope.reg.optin ? "T" : "F", $scope.reg.profileValueId, new Date($scope.reg.age1).getTime(), $scope.reg.age2 != null && $scope.reg.age2.length > 0 ? new Date($scope.reg.age2).getTime() : "0", $scope.reg.like4 ? "T" : "F", $scope.reg.like5 ? "T" : "F", $scope.reg.like6 ? "T" : "F", $scope.reg.like7 ? "T" : "F", $scope.reg.like9 ? "T" : "F", $scope.reg.like42 ? "T" : "F", $scope.reg.like50 ? "T" : "F", $scope.reg.pref1 ? "T" : "F", $scope.reg.pref2 ? "T" : "F", $scope.reg.pref3 ? "T" : "F", $scope.reg.pref4 ? "T" : "F", $scope.reg.pref5 ? "T" : "F", $scope.reg.pref6 ? "T" : "F", $scope.reg.description, $scope.reg.countryId, $scope.reg.regionId, $scope.reg.zoneId, $scope.reg.cityId, $scope.reg.location, $scope.reg.inviteCode, !$rootScope.mobileBrowser, deferred_registration);
	};
	
	$scope.login = function(){
		userId = $scope.act.userIdActivated;
		localStorage.setItem("userId", $scope.act.userIdActivated);
		
		var deferred_upi = $q.defer();
		var promise_upi = deferred_upi.promise;
		promise_upi.then(function(result){
			userUpiId = parseInt($(result).html());
			localStorage.setItem("userUpiId", userUpiId);
			
			// caricamento info utente loggato
			var deferred_user = $q.defer();
			var promise_user = deferred_user.promise;
			promise_user.then(function(result){
				
				myUserData = result.users[0].user;
				localStorage.setItem("myUserData", JSON.stringify(myUserData));
				
				//$rootScope.sideMenuWidth = $(window).width() > 768 ? Math.round($(window).width()*0.4) : Math.round($(window).width()*0.85);
				$rootScope.sideMenuWidth = Math.round($(window).width()*0.85);
				var mcw = $(window).width()*0.85;
				if(mcw > 775){
					mcw = 775;
				}
				var mch = (($(window).width()*0.85) * 300 / 775);
				if(mch > 300){
					mch = 300;
				}
				$rootScope.myCoverWidth = mcw+'px';
				$rootScope.myCoverHeight = mch;
				$rootScope.myUData = myUserData;
				
				var deferred_notifications = $q.defer();
				var promise_notifications = deferred_notifications.promise;
				promise_notifications.then(function(result){
					$rootScope.notifList = result.notifications;
					$scope.closeActivationSuccess();
					$state.go('tab.home');
				}, function(reason){
				});
				NotificationSettings.get(userId, deferred_notifications);

			}, function(reason){
				
			});
			UserProfile.getInfo(userId, deferred_user);
		}, function(reason){
			//alert("login request error (getUserUpi): "+reason);
			localStorage.removeItem("userId");
			localStorage.removeItem("userUpiId");
			localStorage.removeItem("myUserData");
			$('#sign_in_actions').show();
			$('#sign_in_loading').hide();
		});
		Signin.getUserUpi(userId, deferred_upi);
	};
	
	if(localStorage.getItem("eula") == null && !$rootScope.mobileBrowser){
		$ionicModal.fromTemplateUrl('templates/modal-eula.html', {
			id: "signin-eula",
			scope: $scope,
			animation: 'slide-in-up',
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalEula = modal;
			$scope.modalEula.show();
		});
	}
	
	$scope.closeEula = function(){
		localStorage.setItem("eula", "1");
		$scope.modalEula.hide();
		$scope.modalEula.remove();
	};
	
});