getModalUserFeedbacksTemplate = function(modalData){
	
	var template = '<div class="modal"> \
			<div class="header-bar-modal"> \
				<div class="title-modal">{{mud[\''+modalData+'\'].feedbacksInfo.title}}</div> \
				<div class="buttons-modal"> \
					<button class="button button-icon icon ion-ios-close-empty" ng-click="closeModalFeedbacks()"></button> \
				</div> \
				<div style="clear: both;"></div> \
			</div> \
			<div class="subheader-bar-modal" align="center"> \
				<div style="height: 28px; padding-top: 3px; overflow: hidden;"> \
					{{mud[\''+modalData+'\'].feedbacksInfo.cnt}} <font class="color-grigio" style="font-size: 70%;">&bull;</font> {{mud[\''+modalData+'\'].feedbacksInfo.perc}}% {{"positivi" | translate}} \
				</div> \
			<div> \
				<div style="height: 2px; float: left; background-color: #77A201;" ng-style="{\'width\':mud[\''+modalData+'\'].feedbacksInfo.perc+\'%\'}"></div> \
				<div style="height: 2px; float: left; background-color: #A42C45;" ng-style="{\'width\':(100-mud[\''+modalData+'\'].feedbacksInfo.perc)+\'%\'}"></div> \
				<div style="clear: both;"></div> \
			</div> \
		</div> \
		<ion-content class="has-header-subheader-modal has-footer" delegate-handle="modalScroll"> \
			<div class="feedback-element" ng-repeat="fb in mud[\''+modalData+'\'].feedbacks"> \
				<div style="display: flex; align-items: center;"> \
				<div class="user-avatar circle-30" aling="center" style="margin-right: 10px;"><img src="https://www.erosland.it/nicom1/users/{{fb.feedback.s_id}}/thumbs/{{fb.feedback.s_avatar}}" height="30px"/></div> \
				<div style="float: left; margin-left: 5px;"> \
					<font class="color-rosso" ng-bind-html="fb.feedback.s_nick"></font> \
				</div> \
				<div style="float: right;"><i class="ion-record" ng-class="{\'color-verde\':fb.feedback.f_type == 1, \'color-rosso\':fb.feedback.f_type != 1}"></i></div> \
				<div style="clear: both;"></div> \
				<div ng-bind-html="fbText(fb.feedback.f_text)"></div> \
				<div style="padding: 5px;" ng-if="fb.feedback.f_reply.length > 0"> \
					<div class="color-grigio">Risposta</div> \
					<div ng-bind-html="fbText(fb.feedback.f_reply)"></div> \
				</div> \
				<div align="center"> \
					<div class="feedback-element-divider"></div> \
				</div> \
			</div> \
			<!--<ion-infinite-scroll ng-if="mud[\''+modalData+'\'].showLoadMoreFeedbacks" on-infinite="showUserFeedbackMore()" distance="1%" icon="ion-loading-c"></ion-infinite-scroll>--> \
		</ion-content> \
		<div class="bar bar-footer footer-bar-modal"> \
			<button class="button button-clear button-rosso" ng-click="sendUserFeedback()" ng-disabled="mud[\''+modalData+'\'].feedbackSendDisabled"> \
				{{"invia_feedback" | translate}} \
			</button> \
			<div class="title">&nbsp;</div> \
			<button ng-if="mud[\''+modalData+'\'].showLoadMoreFeedbacks" class="button button-clear button-rosso" ng-click="showUserFeedbackMore()"> \
				{{"mostra_altri" | translate}} \
			</button> \
		</div> \
	</div>';
	
	return template;
	
};