getModalUserTemplate = function(modalData){
	
	//log("getModalUserTemplate: "+modalData)
	
	var template = '<ion-modal-view class="modal-video" hide-nav-bar="true" hide-tab-bar="true" style="background-color: #fff; padding: 0;"> \
		<div style="height: 300px; background-color: rgb(164,44,69); border: none; padding: 0; margin: 0; overflow: hidden; vertical-align: middle;" ng-style="{\'max-height\': mud[\''+modalData+'\'].coverHeight}" align="center" class="center-position"> \
			<div align="center" class="user-cover-close" ng-click="closeModalUser()"> \
				<button class="button-icon icon ion-chevron-left"></button> \
			</div> \
			<i ng-if="mud[\''+modalData+'\'].user.cover == \'\' || (!mobileBrowser && !mud[\''+modalData+'\'].user.cover_approved)" class="button-icon icon ion-image" style="font-size: 140%; color: rgb(240,240,240);"></i> \
			<img ng-if="mud[\''+modalData+'\'].user.cover != \'\' && (mobileBrowser || mud[\''+modalData+'\'].user.cover_approved)" id="cover_image" src="https://www.erosland.it{{mud[\''+modalData+'\'].user.cover}}" ng-style="{\'width\':mud[\''+modalData+'\'].coverWidth}"/> \
		</div> \
		<div style="position: absolute; margin-top: -31px; z-index: 2;"> \
			<div style="position:absolute; border: 2px solid #fff; margin-top: -3px; margin-left: 3px;" class="user-avatar circle-60" align="center"> \
				<img ng-if="mobileBrowser || mud[\''+modalData+'\'].user.app_approved" src="https://www.erosland.it{{mud[\''+modalData+'\'].user.avatar}}" height="60px"></img> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 6" class="app-approved-60-c"> \
					<i class="ion-person color-blu" ></i> \
					<i class="ion-person color-rosa app-approved-60-c-2"></i> \
				</div> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 7" class="app-approved-60-c"> \
					<i class="ion-person color-blu" ></i> \
					<i class="ion-person color-blu app-approved-60-c-2"></i> \
				</div> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 9" class="app-approved-60-c"> \
					<i class="ion-person color-rosa" ></i> \
					<i class="ion-person color-rosa app-approved-60-c-2"></i> \
				</div> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 4" class="app-approved-60-s"> \
					<i class="ion-person color-blu"></i> \
				</div> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 5" class="app-approved-60-s"> \
					<i class="ion-person color-rosa"></i> \
				</div> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 42" class="app-approved-60-g"> \
					<i class="ion-ios-people color-grigio-scuro"></i> \
				</div> \
				<div ng-if="!mobileBrowser && !mud[\''+modalData+'\'].user.app_approved && mud[\''+modalData+'\'].user.profileValueId == 50" class="app-approved-60-s"> \
					<i class="ion-person color-grigio-scuro"></i> \
				</div> \
			</div> \
			<div style="float: left;" ng-style="{\'width\':(mud[\''+modalData+'\'].coverWidth)}"> \
				<div class="user-cover-nick"> \
					<font ng-bind-html="mud[\''+modalData+'\'].user.nick"></font> \
				</div> \
				<div class="user-cover-profile"> \
					<font ng-bind-html="mud[\''+modalData+'\'].userProfile"></font> \
				</div> \
				<div class="user-cover-reply-rate"> \
					<font ng-bind-html="mud[\''+modalData+'\'].replyRate"></font> \
				</div> \
				<div style="clear: both;"></div> \
			</div> \
			<div style="clear: both;"></div> \
			<div style="position: absolute; background-color: #fff; border-right: 1px solid rgb(214,214,214); padding: 3px 7px; height: 35px; margin-top: 5px; z-index: 4;" ng-click="showUserFeedback()"> \
				<div ng-if="mud[\''+modalData+'\'].feedbacksInfo.cnt > 0"> \
					<div style="width: 50px;" align="center" ng-style="{\'color\':(mud[\''+modalData+'\'].feedbacksInfo.perc >= 50 ? \'#77A201\' : \'#A42C45\')}"> \
						{{mud[\''+modalData+'\'].feedbacksInfo.perc}}% \
					</div> \
					<div style="width: 50px; height: 2px;"> \
						<div style="height: 2px; float: left; background-color: #77A201;" ng-style="{\'width\':((mud[\''+modalData+'\'].feedbacksInfo.perc*50)/100)+\'px\'}"></div> \
						<div style="height: 2px; float: left; background-color: #A42C45;" ng-style="{\'width\':(50-((mud[\''+modalData+'\'].feedbacksInfo.perc*50)/100))+\'px\'}"></div> \
						<div style="clear: both;"></div> \
					</div> \
				</div> \
				<div ng-if="mud[\''+modalData+'\'].feedbacksInfo.cnt == 0"> \
					<div style="width: 50px; font-size: 50%" align="center" class="color-grigio"> \
						0 feedback \
					</div> \
					<div style="width: 50px; height: 2px; background-color: rgb(100,100,100);"></div> \
				</div> \
			</div> \
			<ion-scroll scrollbar-x="false" direction="x" style="width: 100%; overflow: scroll; white-space: nowrap; z-index: 3;"> \
				<button class="button button-icon icon" style="width: 18%;"></button> \
				<button ng-if="mud[\''+modalData+'\'].personallyMet" class="button button-clear" style="width: 18%;" ng-click="showPersonallyMet(this)"><i class="button-icon icon ion-man color-verde"></i></button> \
				<button ng-if="mud[\''+modalData+'\'].user.uid != mud[\''+modalData+'\'].myUD.uid" class="button button-clear button-rosso" style="width: 18%;" ng-click="showBetweenUs(this)"><i class="button-icon icon ion-arrow-swap"></i></button> \
				<button ng-if="mud[\''+modalData+'\'].user.uid != mud[\''+modalData+'\'].myUD.uid" class="button button-clear button-rosso" style="width: 18%;" ng-click="writeMessage(mud[\''+modalData+'\'].user.uid)"><i class="button-icon icon ion-chatbubbles"></i></button> \
				<button ng-if="mud[\''+modalData+'\'].user.uid != mud[\''+modalData+'\'].myUD.uid" class="button button-clear button-rosso" style="width: 18%;" ng-click="sendWink(this)"><i class="button-icon icon ion-eye"></i></button> \
				<button ng-if="mud[\''+modalData+'\'].user.uid != mud[\''+modalData+'\'].myUD.uid && !mud[\''+modalData+'\'].friends" class="button button-clear button-rosso" style="width: 18%;" ng-click="addFriend(mud[\''+modalData+'\'].user.uid)"><i class="button-icon icon ion-person-add"></i></button> \
				<button ng-if="mud[\''+modalData+'\'].user.uid != mud[\''+modalData+'\'].myUD.uid" class="button button-clear button-rosso" style="width: 18%;" ng-click="addToBlacklist(this, mud[\''+modalData+'\'].user.uid)"><i class="button-icon icon fa fa-ban"></i></button> \
				<button ng-if="mud[\''+modalData+'\'].user.uid != mud[\''+modalData+'\'].myUD.uid" class="button button-clear button-rosso" style="width: 18%;" ng-click="addToFavorites(mud[\''+modalData+'\'].user.uid)"><i class="button-icon icon ion-heart"></i></button> \
				<button class="button button-icon icon" style="width: 5%;"></button> \
			</ion-scroll> \
		</div> \
		<div style="padding: 5px; z-index:5; margin-top: 75px;" ng-if="mud[\''+modalData+'\'].showVideos && !$root.blur_enabled"> \
			<ion-scroll locking="true" direction="x" scrollbar-x="false" style="width: 100%;overflow: scroll;white-space: nowrap;z-index:6; padding: 0;"> \
				<button ng-repeat="user_video in mud[\''+modalData+'\'].videos" class="button button-clear" style="width: 60px; height: 60px;" ng-click="showVideo(user_video.file);"> \
					<i style="position:absolute;" class="ion-play color-bianco"></i> \
					<div style="width: 60px; height: 60px; overflow: hidden; background-color: #000;" align="center"> \
						<img src="https://www.erosland.it/nicom1/users/{{mud[\''+modalData+'\'].user.uid}}/files/{{user_video.file.fileId}}.jpg" height="60px"/> \
					</div> \
				</button> \
			</ion-scroll> \
		</div> \
		<ion-content ng-style="{\'margin-top\':mud[\''+modalData+'\'].coverAndProfileHeightVideos, \'background-color\':\'rgb(237,234,231)\', \'height\':mud[\''+modalData+'\'].contentViewHeight, \'max-height\':mud[\''+modalData+'\'].contentViewHeight, \'border-top\':\'1px solid rgb(214,214,214)\'}" scroll="false"> \
			<ion-scrol direction="y" ng-style="{\'height\':mud[\''+modalData+'\'].contentViewHeight}"> \
				<ion-slide-box class="slider-'+modalData+'" delegate-handle="modalUserSlideBox_'+modalData+'" on-slide-changed="modalUserSlideChanged($index)" show-pager="true" active-slide="mud[\''+modalData+'\'].modalUserActiveSlide" pager-click="modalUserGoToSlide(index)"> \
					<ion-slide> \
						<div class="eros-panel"> \
							<div class="eros-panel-content-noheader" ng-style="{\'height\':mud[\''+modalData+'\'].slideProfileHeight+\'px\'}"> \
								<ion-scroll locking="true" direction="y" ng-style="{\'height\':(mud[\''+modalData+'\'].slideProfileHeight-20)+\'px\'}"> \
									<div ng-bind-html="mud[\''+modalData+'\'].userProfileHtml"></div> \
								</ion-scroll> \
							</div> \
						</div> \
					</ion-slide> \
					<ion-slide> \
						<div ng-show="mud[\''+modalData+'\'].files == null || mud[\''+modalData+'\'].files.length == 0"> \
							<div class="padding" align="center"><i>{{\'no_app_foto\' | translate}}</i></div> \
						</div> \
						<ion-scroll ng-style="{\'height\':mud[\''+modalData+'\'].slideHeight}" delegate-handle="scrollerPhoto_'+modalData+'"> \
							<div class="flex-0px flex-space-around flex-wrap"> \
								<div class="user-photo center-position" ng-style="{\'width\':mud[\''+modalData+'\'].photodim, \'height\':mud[\''+modalData+'\'].photodim}" align="center" ng-repeat="user_file in mud[\''+modalData+'\'].files" ng-click="showPhoto(user_file.file)"> \
									<img src="https://www.erosland.it/nicom1/users/{{mud[\''+modalData+'\'].user.uid}}/thumbs/{{user_file.file.fileId}}.jpg"/> \
								</div> \
							</div> \
							<ion-infinite-scroll ng-if="mud[\''+modalData+'\'].showLoadMorePhotos" on-infinite="modalUserLoadMorePhotos()" distance="1%" icon="ion-loading-c"></ion-infinite-scroll> \
						</ion-scroll> \
					</ion-slide> \
					<ion-slide ng-if="mud[\''+modalData+'\'].slideLastMinute"> \
						<ion-scroll locking="true" direction="y" ng-style="{\'height\':mud[\''+modalData+'\'].slideHeight}"> \
							<div class="eros-panel" ng-repeat="lm in mud[\''+modalData+'\'].last_minute_list"> \
								<div class="eros-panel-content-noheader"> \
									<div ng-bind-html="lm.last_minute.lm_name"></div> \
									<div class="color-grigio-scuro" ng-bind-html="lm.last_minute.lm_desc"></div> \
									<div align="center" class="padding"> \
										<button ng-if="mud[\''+modalData+'\'].myUD.uid != lm.last_minute.lm_u_id && !lm.last_minute.lmr_present" class="button button-verde" ng-click="lastMinuteRequest(lm.last_minute.lm_id)">Richiedi partecipazione</button> \
										<div ng-if="mud[\''+modalData+'\'].myUD.uid != lm.last_minute.lm_u_id && lm.last_minute.lmr_present && lm.last_minute.lmr_accepted == null" style="color: #FFB800; margin: 10px 0;" align="center">La tua richiesta &egrave; in attesa di conferma</div> \
										<div ng-if="mud[\''+modalData+'\'].myUD.uid != lm.last_minute.lm_u_id && lm.last_minute.lmr_present && lm.last_minute.lmr_accepted == true" class="color-verde" style="margin: 10px 0;" align="center">La tua richiesta &egrave; stata accettata</div> \
										<div ng-if="mud[\''+modalData+'\'].myUD.uid != lm.last_minute.lm_u_id && lm.last_minute.lmr_present && lm.last_minute.lmr_accepted == false" class="color-rosso" style="margin: 10px 0;" align="center">La tua richiesta &egrave; stata rifiutata</div> \
									</div> \
									<div align="right" class="color-grigio"> \
										{{lm.last_minute.lm_datefrom}} &bull; {{lm.last_minute.lm_dateto}} \
									</div> \
								</div> \
							</div> \
						</ion-scroll> \
					</ion-slide> \
				</ion-slide-box> \
			</ion-scrol> \
		</ion-content> \
	</ion-modal-view>';
	
	return template;
	
};