angular.module('srv.lastminute', [])

.factory('LastMinute', function($http){
	
	return {
		
		getLastMinuteList: function(userId, sqr_lat1, sqr_lat2, sqr_lng1, sqr_lng2, lm_type_filter, deferred_lastminute){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonLastMinuteList&sp='+userId+'&sp=f'+sqr_lat1+'&sp=f'+sqr_lat2+'&sp=f'+sqr_lng1+'&sp=f'+sqr_lng2+'&sp='+lm_type_filter, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_lastminute.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_lastminute.reject("error call");
			});
		},
		
		getLastMinute: function(userId, sqr_lat1, sqr_lat2, sqr_lng1, sqr_lng2, selectedUserId, deferred_lastminute){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonLastMinuteList&sp='+userId+'&sp=f'+sqr_lat1+'&sp=f'+sqr_lat2+'&sp=f'+sqr_lng1+'&sp=f'+sqr_lng2+'&sp=X&sp='+selectedUserId, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_lastminute.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_lastminute.reject("error call");
			});
		}		
		
				
	}

});