angular.module('srv.messages', [])

.factory('Messages', function($http){
	
	return {
		
		getMessages: function(userId, page, messages_not_read, messages_sent, deferred_messages){
			log("Messages.getMessages");
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonNotifications&sp='+userId+'&sp=Slist&sp=3&sp='+page+'&sp='+(messages_not_read == 1 ? 'T' : 'X')+'&sp='+(messages_sent == 1 ? 'T' : 'X'), dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_messages.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_messages.reject("error call");
			});
		},
		
		getMessageDetail: function(userId, messageId, page, deferred_messages){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonMessageDetail&sp='+userId+'&sp='+messageId+'&sp='+page, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_messages.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_messages.reject("error call");
			});
		},
		
		sendMessage: function(userId, messageId, txt, files, deferred_messages){
			$http.post('https://www.erosland.it/nicom1/nicom1', 'service=json&context=JsonSendMessage&sp='+messageId+'&sp='+userId+'&sp=S'+txt+'&sp=S'+files, {cache: false, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_messages.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_messages.reject("error call");
			});
		},
		
		sendNewMessage: function(userIdFrom, userIdTo, subject, txt, files, deferred_messages){
			$http.post('https://www.erosland.it/nicom1/nicom1', 'service=json&context=JsonSendMsg&sp='+userIdFrom+'&sp='+userIdTo+'&sp=S'+subject+'&sp=S'+txt+'&sp=S'+files, {cache: false, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_messages.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_messages.reject("error call");
			});
		}
	
	}

});