angular.module('srv.signin', [])

.factory('Signin', function($http){
	
	return {
		
		/*
		userLogin: function(login, password, deferred_signin){
			$http({method: "POST",cache: false,url: 'https://www.erosland.it/ajax/userLogin_json.php',data: {'n':login,'p':password},dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject("error call");
			});
		},
		*/
		
		userLogin: function(login, password, deferred_signin){
			$http({method: "POST", url: 'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonUserLogin', data: {'n':login,'p':password}, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject(data+", "+status+", "+headers);
			});
		},

		getUserUpi: function(userId, deferred_signin){
			$http({method: "GET",cache: false,url: 'https://www.erosland.it/ajax/getUserUpi.php?uid='+userId,dataType: 'xml',})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject(data+", "+status+", "+headers);
			});
		},
		
		checkUserNick: function(nick, deferred_signin){
			$http({method: "POST",cache: false,url: 'https://www.erosland.it/ajax/checkUserNick.php',data: {'n':nick},dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject("error call");
			});
		},
		
		checkUserEmail: function(email, deferred_signin){
			$http({method: "POST",cache: false,url: 'https://www.erosland.it/ajax/checkUserEmail.php',data: {'e':email},dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject("error call");
			});
		},
		
		doUserRegistration: function(nick, email, password, optin, profileValueId, bdt1, bdt2, like4, like5, like6, like7, like9, like42, like50, pref1, pref2, pref3, pref4, pref5, pref6, desc, countryId, regionId, zoneId, cityId, location, inviteCode, fromMobile, deferred_signin){
			var description_ = "";
			var location_ = "";
			$http.post('https://www.erosland.it/nicom1/nicom1?service=json&context=JsonUserRegistration&sp=S'+nick+'&sp=S'+email+'&sp=S'+password+'&sp='+optin+'&sp='+profileValueId+'&sp=S'+bdt1+'&sp=S'+bdt2+'&sp='+like4+'&sp='+like5+'&sp='+like6+'&sp='+like7+'&sp='+like9+'&sp='+like42+'&sp='+like50+'&sp='+pref1+'&sp='+pref2+'&sp='+pref3+'&sp='+pref4+'&sp='+pref5+'&sp='+pref6+'&sp=S'+description_+'&sp='+countryId+'&sp='+regionId+'&sp='+zoneId+'&sp='+cityId+'&sp=S'+location_+'&sp=S'+inviteCode+'&sp='+fromMobile, {'desc':desc, 'loc':location}, {cache: false, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject("error call");
			});
		},
		
		userActivation: function(code, deferred_signin){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonUserActivation&sp=S'+code, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject("error call");
			});
		},
		
		saveCropAvatar: function(userId, fileId, x, y, w, h, deferred_signin){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/salva_foto_profilo.php?uid='+userId+'&fid='+fileId+'&x='+x+'&y='+y+'&w='+w+'&h='+h, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_signin.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_signin.reject("error call");
			});
		}

	}

});