angular.module('ctrl.app', [])

.controller('AppCtrl', function($scope, $ionicSideMenuDelegate, $ionicPopup, Notifications, NotificationSettings, $q, $state, $ionicScrollDelegate, $ionicLoading, $ionicSlideBoxDelegate, $rootScope, Shorts, PersonallyMet, Subscription, $translate, EventInvites, Geolocation, $timeout, MyCamera, $ionicModal, Events, UserProfile) {
	
	// EasyRTC inizio
	/*
	var selfEasyrtcid = "";
	var connectList = {};
	var channelIsActive = {}; // tracks which channels are active
	 
	function connect() {
		
		easyrtc.setSocketUrl("http://192.168.0.155:8080");
		
		easyrtc.enableDebug(false);
		easyrtc.enableDataChannels(true);
		easyrtc.enableVideo(false);
		easyrtc.enableAudio(false);
		easyrtc.enableVideoReceive(false);
		easyrtc.enableAudioReceive(false);
		easyrtc.setDataChannelOpenListener(openListener);
		easyrtc.setDataChannelCloseListener(closeListener);
		easyrtc.setPeerListener(addToConversation);
		easyrtc.setRoomOccupantListener(convertListToButtons);
		easyrtc.connect("easyrtc.dataMessaging", loginSuccess, loginFailure);
	}
	 
	 
	function addToConversation(who, msgType, content) {
		// Escape html special characters, then add linefeeds.
		content = content.replace(/&/g, "&amp;").replace(/</g, "&lt;").replace(/>/g, "&gt;");
		content = content.replace(/\n/g, "<br />");
		document.getElementById("conversation").innerHTML +=
			"<b>" + who + ":</b>&nbsp;" + content + "<br />";
	}
	 
	function openListener(otherParty) {
		channelIsActive[otherParty] = true;
		updateButtonState(otherParty);
	}
	 
	function closeListener(otherParty) {
		channelIsActive[otherParty] = false;
		updateButtonState(otherParty);
	}
	 
	function convertListToButtons(roomName, occupantList, isPrimary) {
		connectList = occupantList;
		
		var otherClientDiv = document.getElementById("otherClients");
		while (otherClientDiv.hasChildNodes()) {
			otherClientDiv.removeChild(otherClientDiv.lastChild);
		}
	 
		var label, button;
		for (var easyrtcid in connectList) {
			var rowGroup = document.createElement("span");
			var rowLabel = document.createTextNode(easyrtc.idToName(easyrtcid));
			rowGroup.appendChild(rowLabel);
	 
			button = document.createElement("button");
			button.id = "connect_" + easyrtcid;
			button.onclick = function(easyrtcid) {
				return function() {
					startCall(easyrtcid);
				};
			}(easyrtcid);
			label = document.createTextNode("Connect");
			button.appendChild(label);
			rowGroup.appendChild(button);
	 
			button = document.createElement("button");
			button.id = "send_" + easyrtcid;
			button.onclick = function(easyrtcid) {
				return function() {
					sendStuffP2P(easyrtcid);
				};
			}(easyrtcid);
			label = document.createTextNode("Send Message");
			button.appendChild(label);
			rowGroup.appendChild(button);
			otherClientDiv.appendChild(rowGroup);
			updateButtonState(easyrtcid);
		}
		if (!otherClientDiv.hasChildNodes()) {
			otherClientDiv.innerHTML = "<em>Nobody else logged in to talk to...</em>";
		}
	}
	 
	function updateButtonState(otherEasyrtcid) {
		var isConnected = channelIsActive[otherEasyrtcid];
		if(document.getElementById("connect_" + otherEasyrtcid)) {
			document.getElementById("connect_" + otherEasyrtcid).disabled = isConnected;
		}
		if( document.getElementById("send_" + otherEasyrtcid)) {
			document.getElementById("send_" + otherEasyrtcid).disabled = !isConnected;
		}
	}
	 
	function startCall(otherEasyrtcid) {
		if (easyrtc.getConnectStatus(otherEasyrtcid) === easyrtc.NOT_CONNECTED) {
			try {
				easyrtc.call(otherEasyrtcid,
					function(caller, media) { // success callback
						if (media === "datachannel") {
							// console.log("made call succesfully");
							connectList[otherEasyrtcid] = true;
						}
					},
					function(errorCode, errorText) {
						connectList[otherEasyrtcid] = false;
						easyrtc.showError(errorCode, errorText);
					},
					function(wasAccepted) {
						// console.log("was accepted=" + wasAccepted);
					}
				);
			}catch( callerror) {
				console.log("saw call error ", callerror);
			}
		} else {
			easyrtc.showError("ALREADY-CONNECTED", "already connected to " + easyrtc.idToName(otherEasyrtcid));
		}
	}
	 
	function sendStuffP2P(otherEasyrtcid) {
		var text = document.getElementById("sendMessageText").value;
		if (text.replace(/\s/g, "").length === 0) { // Don"t send just whitespace
			return;
		}
		if (easyrtc.getConnectStatus(otherEasyrtcid) === easyrtc.IS_CONNECTED) {
			easyrtc.sendDataP2P(otherEasyrtcid, "msg", text);
		} else {
			easyrtc.showError("NOT-CONNECTED", "not connected to " + easyrtc.idToName(otherEasyrtcid) + " yet.");
		}
	 
		addToConversation("Me", "msgtype", text);
		document.getElementById("sendMessageText").value = "";
	}
	 
	function loginSuccess(easyrtcid) {
		selfEasyrtcid = easyrtcid;
		document.getElementById("iam").innerHTML = "I am " + easyrtcid;
	}
	 
	function loginFailure(errorCode, message) {
		easyrtc.showError(errorCode, "failure to login");
		alert("failure to login: "+errorCode);
	}
	
	setTimeout(connect, 5000);
	*/
	// EasyRTC fine
	
	/*
	$rootScope.$on('$locationChangeStart', function(event, next, current) {
		alert("from "+current+" to "+next);
		//event.preventDefault();
	});
	*/
	
	
	
	try {
		if(device.platform != "browser"){
			$scope.networkOffline = false;
			document.addEventListener("online", function() {
				if($scope.networkOffline){
					$scope.networkOffline = false;
					$ionicLoading.hide();
					$ionicLoading.show({
						template: '<div align="center"><i class="ion-wifi color-verde" style="font-size: 300%;"></i></div><div align="center" style="margin-top: 5px;">'+$translate.instant("network_online")+'</div>'
					});
					$timeout(function(){$ionicLoading.hide(); window.location.reload(true);}, 1500);
					
					// ricaricare azione corrente
					//$state.go($state.current, {}, {reload: true});
					
				}
			}, false);		
			document.addEventListener("offline", function() {
				if(!$scope.networkOffline){
					$scope.networkOffline = true;
					$ionicLoading.show({
						template: '<div align="center"><i class="ion-wifi color-rosso" style="font-size: 300%;"></i></div><div align="center" style="margin-top: 5px;">'+$translate.instant("network_offline")+'</div>'
					});
				}
			}, false);
		}
	} catch (e) {
	}
		
	window.addEventListener("orientationchange", function() {
		$timeout(function(){
			$ionicSideMenuDelegate.toggleLeft(false);
			$rootScope.sideMenuWidth = Math.round($(window).width()*0.85);
			var cw = $(window).width();
			if(cw > 775){
				cw = 775;
			}
			var ch = ($(window).width() * 300 / 775);
			if(ch > 300){
				ch = 300;
			}
			$rootScope.myCoverWidth = cw+'px';
			$rootScope.appHeight = $(window).height();
			$rootScope.myCoverHeight = ch;
			
			if($scope.selectedMUId != null && $scope.mud != null && $scope.mud["modalData"+$scope.selectedMUId] != null){
				
				$scope.mud["modalData"+$scope.selectedMUId].wHeight = $(window).height()+'px';
				$scope.mud["modalData"+$scope.selectedMUId].coverWidth = cw+'px';
				$scope.mud["modalData"+$scope.selectedMUId].coverWidthNum = cw;
				$scope.mud["modalData"+$scope.selectedMUId].coverHeight = ch+'px';
				$scope.mud["modalData"+$scope.selectedMUId].coverAndProfileHeightVideos = (ch+90)+'px';
				$scope.mud["modalData"+$scope.selectedMUId].contentViewHeight = ($(window).height() - (ch+90))+'px';
				$scope.mud["modalData"+$scope.selectedMUId].slideHeight = ($(window).height() - (ch+90+40))+'px';
				$scope.mud["modalData"+$scope.selectedMUId].slideProfileHeight = ($(window).height() - (ch+90+40+20));
				if($('#cover_image').height() > 300){
					var new_height = ($(window).width()*$('#cover_image').height())/755;
					$('#cover_image').css("margin-top","-"+((new_height - 123)/2)+"px");
				}
				
			}
			
			$rootScope.$apply();
		}, 1000);
	}, false);
	
	/**
	 * ------------------------------------------------------------------
	 * --- funzione loading a tempo con messaggio di problemi di rete ---
	 * ------------------------------------------------------------------
	 */
	$scope.loadingAction = function(firstLoader){
		/**
		 * -------------------------------------------------
		 * --- cancelliamo il timeout precedente se c'e' ---
		 * -------------------------------------------------
		 */
		$timeout.cancel($scope.loadingActionTimeout);
		
		/**
		 * -------------------------
		 * --- mostriamo loading ---
		 * -------------------------
		 */
		if(firstLoader){
			$ionicLoading.show({
				template: '<ion-spinner icon="circles" class="spinner-bianco"></ion-spinner>'
			});
		}
		
		/**
		 * -------------------------------------------------------------------------------------------------------------------------------
		 * --- assegnamo ad un promise il timeout in modo da poterlo cancellare se terminiamo l'azione prima dello scadere del timeout ---
		 * -------------------------------------------------------------------------------------------------------------------------------
		 */
		$scope.loadingActionTimeout = $timeout(function(){
			/**
			 * ------------------------------------------------------------------------------------------------------------------------------------------------------
			 * --- al termine del primo timeout l'azione non e' stata completata -> mostriamo il messaggio problemi di rete e facciamo partire il secondo timeout ---
			 * ------------------------------------------------------------------------------------------------------------------------------------------------------
			 */
			$ionicLoading.show({
				template: '<div><ion-spinner icon="circles" class="spinner-bianco"></ion-spinner></div><div>'+$translate.instant("problemi_di_rete")+'</div>'
			});
			
			$scope.loadingActionTimeout = $timeout(function(){
				/**
				 * -------------------------------------------------------------
				 * --- al termine del secondo timeout nascondiamo lo spinner ---
				 * -------------------------------------------------------------
				 */
				$ionicLoading.hide();
			}, 5000);
		}, 5000);
	};

	/**
	 * -------------------------------------------------------------------------------------------------------------------------
	 * --- funzione per segnalare come terminata un azione e cancellare il timeout relativo al messaggio di problemi di rete ---
	 * -------------------------------------------------------------------------------------------------------------------------
	 */
	$scope.loadingActionEnd = function(){
		$timeout.cancel($scope.loadingActionTimeout);
		$ionicLoading.hide();
	};
	
	$scope.checkEventInvites = function(){
		var deferred_evt = $q.defer();
		var promise_evt = deferred_evt.promise;
		promise_evt.then(function(result){
			$rootScope.evt_invites = result.event_invites_count;
		}, function(reason){
		});
		EventInvites.count(userId, deferred_evt);
	};
	
	$scope.checkSubscription = function(){
		log("checkSubscription start: "+userId);
		var deferred_subscription = $q.defer();
		var promise_subscription = deferred_subscription.promise;
		promise_subscription.then(function(result){
			mySubscription = result.subscription;
			$rootScope.mySubscription = result.subscription;
		}, function(reason){
		});
		Subscription.check(userId, deferred_subscription);
	};
	
	$scope.notificationCountUpdate = function(){
		log("notificationCountUpdate");
		var deferred_notifications = $q.defer();
		var promise_notifications = deferred_notifications.promise;
		promise_notifications.then(function(result){
			$rootScope.n_friends = result.friends;
			$rootScope.n_messages = result.messages;
			$rootScope.n_notifications = result.notifications;
		}, function(reason){
			
		});
		Notifications.get(userId, deferred_notifications);
	};
	
	$scope.getMyGeolocationStatus = function(){
		if($scope.myUData != undefined && $scope.myUData != null && $scope.myUData.profileValueId < 51){
			
			log("getMyGeolocationStatus start: "+userId);
			
			$rootScope.diagnosticGPS(false);
			
			// watch position
			/*
			try {
				var watchId = navigator.geolocation.watchPosition(watchGeolocationSuccess, watchGeolocationError, {timeout: 30000, enableHighAccuracy: true});
			} catch (e) {
				log("watch position error", e);
			}
			*/
			
			if(localStorage.getItem("my_position") == null){
				localStorage.setItem("my_position", "0");
			}
			$rootScope.my_position = localStorage.getItem("my_position") == "1";
			if(localStorage.getItem("my_position_visibility") == null){
				localStorage.setItem("my_position_visibility", "2");
			}
			$rootScope.my_position_visibility = localStorage.getItem("my_position_visibility");
			var deferred_geolocation = $q.defer();
			var promise_geolocation = deferred_geolocation.promise;
			promise_geolocation.then(function(result){
				if(result.user_geolocation.is_null == null && !result.user_geolocation.hidden){
					localStorage.setItem("my_geolocation_status", JSON.stringify(result.user_geolocation));
					var myLatLng = new google.maps.LatLng(result.user_geolocation.latitude, result.user_geolocation.longitude);
					var map = new google.maps.Map(document.getElementById('map_my_position'), {
						zoom: 11,
						center: myLatLng,
						mapTypeId: google.maps.MapTypeId.ROADMAP,
						disableDefaultUI: true,
						overviewMapControl: false
					});
					var marker = new google.maps.Marker({
						position: myLatLng,
						map: map,
						title: $translate.instant('mia_posizione')
					});
					$rootScope.my_position = true;
					localStorage.setItem("my_position", "1");
					$rootScope.my_position_visibility = result.user_geolocation.visible_all ? "1" : (result.user_geolocation.personally_met ? "3" : "2");
					localStorage.setItem("my_position_visibility", $rootScope.my_position_visibility);
				} else {
					localStorage.setItem("my_geolocation_status", null);
					localStorage.setItem("my_position", "0");
					$rootScope.my_position = false;
				}
				log("getMyGeolocationStatus end");
			}, function(reason){
			});
			Geolocation.getGeolocationStatus(userId, deferred_geolocation);
		}
	};
	
	if(userId != null && userId != "null"){
		
		log("!!! APP START ("+userId+"). !!!");
		
		// Abbonamento
		//$scope.checkSubscription();

		// Posizione
		//$scope.getMyGeolocationStatus();
	}
	
	$scope.toggleLeft = function(){
		$ionicSideMenuDelegate.toggleLeft();
	};
	
	$scope.appLogout = function(){
		var confirmLogout = $ionicPopup.confirm({
			title: $translate.instant('logout'),
			templateUrl: 'templates/popup-logout.html',
			cancelText: $translate.instant('no'),
			okText: $translate.instant('si')
		});
		confirmLogout.then(function(res) {
			if(res) {
				// rimuovere associazione utente - device
				try {
					if ( device.platform == 'android' || device.platform == 'Android'){
						$.ajax({
						    type: "POST",
						    url: "https://www.erosland.it/ajax/gcmRegId.php",
						    data: {
						    	'uid':userId,
						    	'gcm':push_token_android,
						    	'rem':1,
						    	'version':device.version,
						    	'model':device.model,
						    	'app_version':app_version,
						    	'uuid':device.uuid
						    },
						    dataType: "json",
						    cache: false,
						    success: function(data) {
								localStorage.removeItem("userId");
								localStorage.removeItem("userUpiId");
								userId = null;
								userUpiId = null;
								$ionicScrollDelegate.$getByHandle('sideMenuScroll').scrollTop(false);
								$ionicSideMenuDelegate.toggleLeft(false);
						    	$state.go("signin");
						    }, error: function(e){
						    	log(e);
						    }
						});
					} else {
						$.ajax({
						    type: "POST",
						    url: "https://www.erosland.it/ajax/pushNotificationsDeviceToken.php",
						    data: {
						    	'uid':userId,
						    	'pndt':push_token_ios,
						    	'rem':1,
						    	'version':device.version,
						    	'model':device.model,
						    	'app_version':app_version,
						    	'uuid':device.uuid						    	
						    },
						    dataType: "json",
						    cache: false,
						    success: function(data) {
								localStorage.removeItem("userId");
								localStorage.removeItem("userUpiId");
								userId = null;
								userUpiId = null;
								$ionicScrollDelegate.$getByHandle('sideMenuScroll').scrollTop(false);
								$ionicSideMenuDelegate.toggleLeft(false);
					    		$state.go("signin");
						    }, error: function(e){
						    	log(e);
						    }
						});
					}
				} catch (e) {
					localStorage.removeItem("userId");
					localStorage.removeItem("userUpiId");
					userId = null;
					userUpiId = null;
					$ionicScrollDelegate.$getByHandle('sideMenuScroll').scrollTop(false);
					$ionicSideMenuDelegate.toggleLeft(false);
					//log("$scope.shorts:",$scope.shorts);
		    		$state.go("signin");
				}
				
			}
		});
	};
	
	$scope.setBlurOption = function(){
		localStorage.setItem("opt_blur", localStorage.getItem("opt_blur") == "1" ? "0" : "1");
		/*
		if($rootScope.blur_enabled){
			$timeout(function(){$ionicLoading.hide();}, 1000);
		}
		*/
	};
	/*
	$scope.blurChange = function(){
		if($rootScope.blur_enabled){
			$ionicLoading.show({
				template: '<ion-spinner icon="circles" class="spinner-bianco"></ion-spinner>'
			});
		}
	};
	*/
	
	$scope.getMyPosition = function(){
		
		$rootScope.diagnosticGPS(true);
		
		navigator.geolocation.getCurrentPosition(function(position) {
			try {
				$scope.positionRefreshing = true;
				var currentLat = position.coords.latitude;
				var currentLng = position.coords.longitude;
				log("getMyPosition: "+position.coords.latitude+", "+position.coords.longitude);
				localStorage.setItem("currentLat", ""+currentLat);
				localStorage.setItem("currentLng", ""+currentLng);
				var myLatLng = new google.maps.LatLng(currentLat, currentLng);
				var map = new google.maps.Map(document.getElementById('map_my_position'), {
					zoom: 11,
					center: myLatLng,
					mapTypeId: google.maps.MapTypeId.ROADMAP,
					disableDefaultUI: true,
					overviewMapControl: false
				});
				var marker = new google.maps.Marker({
					position: myLatLng,
					map: map,
					title: $translate.instant('mia_posizione')
				});
				var deferred_geoloc = $q.defer();
				var promise_geoloc = deferred_geoloc.promise;
				promise_geoloc.then(function(result){
					$scope.positionRefreshing = false;
				}, function(reason){
					$scope.positionRefreshing = false;
				});
				Geolocation.setPosition(userId, currentLat, currentLng, 0, false, deferred_geoloc);
			} catch (e) {
				$scope.positionRefreshing = false;
				//alert('Si è verificato un errore. Riprova più tardi.');
			}
		}, function(error) {
			//alert('Si è verificato un errore. Riprova più tardi.');
			$scope.positionRefreshing = false;
		});
	}; 
	
	$scope.setMyPositionOption = function(){
		localStorage.setItem("my_position", localStorage.getItem("my_position") == "1" ? "0" : "1");
		if(localStorage.getItem("my_position") == "1"){
			$scope.getMyPosition();
			$ionicScrollDelegate.$getByHandle('sideMenuScroll').scrollTo(0, $('#geoloc_position').position().top, true);
		} else {
			var deferred_geoloc = $q.defer();
			var promise_geoloc = deferred_geoloc.promise;
			promise_geoloc.then(function(result){
			}, function(reason){
			});
			Geolocation.setPosition(userId, localStorage.getItem("currentLat"), localStorage.getItem("currentLng"), 0, true, deferred_geoloc);
		}
	};
	
	$scope.setMyPositionVisibilityOption = function(opt){
		var deferred_geoloc = $q.defer();
		var promise_geoloc = deferred_geoloc.promise;
		promise_geoloc.then(function(result){
		}, function(reason){
		});
		var status_type = localStorage.getItem("my_geolocation_status") != null ? JSON.parse(localStorage.getItem("my_geolocation_status")).status_type : 0;
		var status_name = localStorage.getItem("my_geolocation_status") != null ? JSON.parse(localStorage.getItem("my_geolocation_status")).status_name : "";
		var visible_all = opt == 1;
		var personally_met = opt == 3;
		Geolocation.setPositionStatus(userId, status_type, status_name, visible_all, personally_met, deferred_geoloc);
	};
	
	$scope.refreshMyPosition = function(){
		$scope.getMyPosition();
	};

	$scope.setMyPositionOptionVisibility = function(opt){
		localStorage.setItem("my_position_visibility", opt);
	};

	$scope.setNotification = function(notifSetting){
		var deferred_notifications = $q.defer();
		var promise_notifications = deferred_notifications.promise;
		promise_notifications.then(function(result){
		}, function(reason){
		});
		NotificationSettings.set(userId, notifSetting.n_type, notifSetting.n_enabled, deferred_notifications);
	};
	
	$scope.setEmailNotification = function(enabled, eid){
		var deferred_notifications = $q.defer();
		var promise_notifications = deferred_notifications.promise;
		promise_notifications.then(function(result){
		}, function(reason){
		});
		NotificationSettings.email_set(userId, eid, enabled, deferred_notifications);
	};
	
	$scope.desktopVersion = function(){
		window.location.replace("https://www.erosland.it");
	};
	
	$scope.myPhotos = function(){
		$state.go("tab.myphotos");
		$ionicSideMenuDelegate.toggleLeft(false);
	};
	
	$scope.myVideos = function(){
		$state.go("tab.myvideos");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	$scope.allVideos = function(){
		$state.go("tab.video");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	$scope.myFeedbacks = function(){
		$state.go("tab.myfeedbacks");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	$scope.searchFriends = function(){
		$state.go("tab.friendsmap");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	$scope.searchEvents = function(){
		$state.go("tab.events");
		$ionicSideMenuDelegate.toggleLeft(false);
	};
	
	$scope.searchLastMinute = function(){
		$state.go("tab.lastminute");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	$scope.personallyMet = function(){
		$state.go("tab.personallymet");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	$scope.eventInvites = function(){
		$state.go("tab.eventinvites");
		$ionicSideMenuDelegate.toggleLeft(false);
	};

	/*
	$scope.$watch('sideMenuController.getOpenRatio()', function(ratio) {
		log(Math.abs(ratio));
		$('.fade-bar').css("opacity", Math.abs(ratio));
	});
	*/
	
	$(document).off('forceLogout').on('forceLogout', function(evt, data){
		localStorage.removeItem("userId");
		localStorage.removeItem("userUpiId");
		userId = null;
		userUpiId = null;
		$ionicScrollDelegate.$getByHandle('sideMenuScroll').scrollTop(false);
		$ionicSideMenuDelegate.toggleLeft(false);
		$state.go("signin");
	});
	$(document).off('notifModalUser').on('notifModalUser', function(evt, data){
		$scope.showModalUser(data);
	});
	$(document).off('notifModalFeedbacks').on('notifModalFeedbacks', function(evt, data){
		$ionicSideMenuDelegate.toggleLeft(false);
		$state.go("tab.myfeedbacks");
	});
	$(document).off('notifShow').on('notifShow', function(evt, data){
		$ionicSideMenuDelegate.toggleLeft(false);
		$state.go("tab.notifications");
	});
	$(document).off('messagesShow').on('messagesShow', function(evt, data){
		$ionicSideMenuDelegate.toggleLeft(false);
		$state.go("tab.messages");
	});
	$(document).off('refreshCountNotifications').on('refreshCountNotifications', function(evt, data){
		$scope.notificationCountUpdate()
	});
	
	$rootScope.$on("$ionicView.enter", function( scopes, states ) {
		/*
		if("tab.home" == states.stateName){
			$('.icon-notifications-all').removeClass("animated notif-swing");
			setTimeout(function(){$('.icon-notifications-all').addClass("animated notif-swing");}, 500);
			$('.icon-notifications-all').parent().find(".badge").removeClass("animated notif-swing");
			setTimeout(function(){$('.icon-notifications-all').parent().find(".badge").addClass("animated notif-swing");}, 500);
		} else if("tab.friends" == states.stateName){
			$('.icon-notifications-message').removeClass("animated notif-pulse-big");
			setTimeout(function(){$('.icon-notifications-message').addClass("animated notif-pulse-big");}, 500);
			$('.icon-notifications-message').parent().find(".badge").removeClass("animated notif-pulse-big");
			setTimeout(function(){$('.icon-notifications-message').parent().find(".badge").addClass("animated notif-pulse-big");}, 500);
		}
		*/
		
		log(states.stateName);
		
		/*
		if( states.fromCache && states.stateName == "tab.tabAList" ) {
			reloadItems();
		}
		*/
		
		// last minute
		$rootScope.lastMinuteView = "tab.lastminute" == states.stateName;
		
		$ionicSideMenuDelegate.canDragContent(true);
		
		if(states.stateName != undefined){
			gaSend("pageview", states.stateName);
		}
		
		if("signin" == states.stateName){
			
			if(window.StatusBar){
				StatusBar.hide();
			}

		} else if("tab.home" == states.stateName){
			
		} else if("tab.friends" == states.stateName){
			
		} else if("tab.messages" == states.stateName){
			
			// ricaricare messaggi
			$(document).trigger("refreshMessages", null);
			
		} else if("tab.notifications" == states.stateName){
			
			// ricaricare notifiche
			//$(document).trigger("refreshNotifications", null);
			
		} else if("tab.search" == states.stateName){
			
			
			
		} else if("tab.myphotos" == states.stateName){
			
			
			
		} else if("tab.myvideos" == states.stateName){
			
			
			
		} else if("tab.myfeedbacks" == states.stateName){
			
			
			
		} else if("tab.friendsmap" == states.stateName){
			
			$ionicSideMenuDelegate.canDragContent(false);
			
		} else if("tab.events" == states.stateName){
			
			$ionicSideMenuDelegate.canDragContent(false);
			
		} else if("tab.lastminute" == states.stateName){
			
			$ionicSideMenuDelegate.canDragContent(false);
			
		
		} else if("tab.personallymet" == states.stateName){
			
			// ricaricare richieste conosciuti di persona
			$(document).trigger("refreshRequests", null);
			
		} else if("tab.eventinvites" == states.stateName){
			
			// ricaricare inviti ad eventi
			$(document).trigger("refreshInvites", null);
			
		}
		
		if(userId != null && userId != "null" && states.stateName != undefined && states.stateName != "undefined"){
			
			// mie info
			var deferred_user = $q.defer();
			var promise_user = deferred_user.promise;
			promise_user.then(function(result){
				myUserData = result.users[0].user;
				localStorage.setItem("myUserData", JSON.stringify(myUserData));
				$rootScope.myUData = myUserData;
			}, function(reason){
			});
			UserProfile.getInfo(userId, deferred_user);
			
			// conteggio richieste 'conosciuti di persona' ad ogni cambio pagina
			var deferred_personallymet = $q.defer();
			var promise_personallymet = deferred_personallymet.promise;
			promise_personallymet.then(function(result){
				$rootScope.pm_requests = result.user_contact;
			}, function(reason){
			});
			PersonallyMet.req_cnt(userId, deferred_personallymet);
			
			// inviti ad eventi
			$scope.checkEventInvites();
			
			if(states.stateName != "tab.notifications"){
				// conteggio notifiche
				$scope.notificationCountUpdate();
				
				// controllo abbonamento
				$scope.checkSubscription();
			}
			
			// Posizione
			$scope.getMyGeolocationStatus();
			
			if($rootScope.mobilePlatform){
				// notifiche push
				if($scope.notifList == undefined || $scope.notifList == null || $scope.notifList.length == 0){
					var deferred_notifications = $q.defer();
					var promise_notifications = deferred_notifications.promise;
					promise_notifications.then(function(result){
						$scope.notifList = result.notifications;
					}, function(reason){
					});
					NotificationSettings.get(userId, deferred_notifications);
				}
			} else {
				// email
				if($scope.emailSettings == undefined || $scope.emailSettings == null){
					var deferred_notifications = $q.defer();
					var promise_notifications = deferred_notifications.promise;
					promise_notifications.then(function(result){
						$scope.emailSettings = result.email_settings_list[0].email;
					}, function(reason){
					});
					NotificationSettings.email_get(userId, deferred_notifications);
				}
			}
			
		}
		
    });	
	
	/*
	 * MODAL USER. INIZIO
	 * ---------------------------------------------
	 */
	
	$rootScope.lastMinuteView = false;
	
	$scope.myUpiId = userUpiId;
	
	$scope.$on('modal.shown', function(event, modal){
		
		log("modal.shown: "+modal.id);
		
		if(modal.id == "lm-user"){
			$ionicLoading.hide();

			$timeout(function(){
				$(".slider-modalData"+$scope.selectedMUId).find(".slider-pager-page").eq(0).find("i").removeClass("ion-record").addClass("ion-ios-person");
				$(".slider-modalData"+$scope.selectedMUId).find(".slider-pager-page").eq(1).find("i").removeClass("ion-record").addClass("ion-ios-camera");
				
				/**
				 * ----------------------
				 * --- conteggio foto ---
				 * ----------------------
				 */
				var deferred_countPhotos = $q.defer();
				var promise_countPhotos = deferred_countPhotos.promise;
				promise_countPhotos.then(function(result){
					if(result.files > 0){
						$(".slider-modalData"+$scope.selectedMUId).find(".slider-pager-page").eq(1).append("<font class='slider-pager-font'>"+result.files+"</font>");
					}
				}, function(reason){
				});
				if($rootScope.mobileBrowser){
					UserProfile.countPhotos(userId, $scope.selectedMUId, deferred_countPhotos);
				} else {
					UserProfile.countPhotosApproved(userId, $scope.selectedMUId, deferred_countPhotos);
				}
				
			},400);
			
			
//			$(".slider-modalData"+$scope.selectedMUId).find(".slider-pager-page").eq(2).find("i").removeClass("ion-record").addClass("fa fa-align-left").css("font-size","80%");
//			last minute
			//log("lastMinuteView: "+$rootScope.lastMinuteView);
			if($rootScope.lastMinuteView){
				$timeout(function(){
					$(".slider-modalData"+$scope.selectedMUId).find(".slider-pager-page").eq(2).find("i").removeClass("ion-record").addClass("ion-ios-clock-outline");
					$scope.mud["modalData"+$scope.selectedMUId].modalUserActiveSlide = 2;
					$ionicSlideBoxDelegate.$getByHandle('modalUserSlideBox_modalData'+$scope.selectedMUId).slide($scope.mud["modalData"+$scope.selectedMUId].modalUserActiveSlide);
				},400);
			}
		} else if(modal.id == "modal-short"){
			
		} else if(modal.id == "photo"){
			
			$scope.currentPhotoId = $scope.files[$scope.currentPhotoIdx].file.fileId;
			$scope.currentPhoto = $scope.files[$scope.currentPhotoIdx].file;
			$scope.photoViewed[$scope.currentPhotoId] = true;
			
			$('#photo_header').fadeIn();
			$('#photo_votes').fadeIn();
			$('#photo_footer').fadeIn();
			
		} else if(modal.id == "video"){
			
			$rootScope.modalUserVideoSlideHasChanged($scope, $scope.currentVideoIdx);
			
		} else if(modal.id == "video_comments"){
			
			$scope.footer_height = $('#comment_footer').height();
			$scope.showPrevComments = true;
			$scope.fileCommentsPage = 0;
			$scope.comments = [];
			$scope.loadFileComments(true);
			
		}
	});
	
	$scope.showModalUser = function(uid){
		$scope.loadingAction(true);
		$rootScope.showModalUser_($scope, uid, $rootScope.lastMinuteView);
	};
	
	$scope.showModalUserProfile = function(uid){
		$ionicLoading.show({
			template: '<ion-spinner icon="circles" class="spinner-bianco"></ion-spinner>'
		});
		$rootScope.showModalUser_($scope, uid, false);
	};

	$scope.modalUserLoadMorePhotos = function(){
		$rootScope.modalUserLoadMorePhotos_($scope);
		//$rootScope.loadMorePhotos($scope);
	};
	
	$scope.closeModalUser = function(){
		$rootScope.closeModalUser($scope);
	};
	
	$scope.modalUserSlideChanged = function(index){
		$rootScope.modalUserSlideChanged_($scope, index);
	};
	
	$scope.modalUserGoToSlide = function(index){
		$rootScope.modalUserGoToSlide($scope, index);
	};
	
	/*
	 * FEEDBACK. INIZIO
	 */
	
	$scope.fbText = function(txt){
		return txt.replace(/\r\n/g, '<br>');		
	};
	
	$scope.showUserFeedbackMore = function(){
		$rootScope.modalUserShowUserFeedbacksMore($scope);
	};
	
	$scope.showUserFeedback = function(){
		$ionicLoading.show({
			template: '<ion-spinner icon="circles" class="spinner-bianco"></ion-spinner>'
		});
		//$timeout(function(){$ionicLoading.hide();}, 5000);
		$rootScope.modalUserShowFeedback($scope);
	};
	
	$scope.showReplyRateDesc = function(){
		$ionicPopup.alert({
			title: $translate.instant('tasso_di_risposta'),
			template: $translate.instant('tasso_di_risposta_desc')
		}).then(function(vres){
		});
	};
	
	$scope.sendUserFeedback = function(){
		$rootScope.modalUserSendUserFeedback($scope);
	};
	
	$scope.closeModalFeedbacks = function(){
		$scope.mufTempl["modalData"+$scope.selectedMUId].hide();
		$scope.mufTempl["modalData"+$scope.selectedMUId].remove();
	};
	
	$scope.writeFeedback = function(){
		$rootScope.modalUserWriteFeedback($scope);
	};
	
	$scope.closeModalF = function() {
		$scope.modalF.hide();
		$scope.modalF.remove();
		try {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
		} catch (e) {}
		
//		if(window.StatusBar){
//			StatusBar.styleBlackOpaque();
//		}
	};
	
	$scope.sendFeedback = function(){
		$rootScope.modalUserSendFeedback($scope);
	};
	
	/*
	 * FEEDBACK. FINE
	 */
	
	/*
	 * LAST MINUTE. INIZIO
	 */
	$scope.closeModalLMR = function() {
		
		log("scope.modalLMR: "+$scope.modalLMR);
		
		$scope.modalLMR.hide();
		$scope.modalLMR.remove();
		cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
	};
	
	$scope.lastMinuteRequest = function(lmid){
		$rootScope.modalUserLastMinuteRequest($scope, lmid);
	};
	
	$scope.sendLastMinuteRequest = function(){
		$rootScope.modalUserSendLastMinuteRequest($scope);
	};
	
	/*
	 * LAST MINUTE. FINE
	 */
	
	$scope.addToFavorites = function(uid){
		$rootScope.modalUserAddToFavorites($scope, uid)
	};
	
	/*
	 * CONTROLLO + INVITA TRA I TUOI AMICI. INIZIO
	 */
	$scope.addFriend = function(uid){
		$rootScope.modalUserAddFriend($scope, uid);
	};
	/*
	 * CONTROLLO + INVITA TRA I TUOI AMICI. FINE
	 */
	
	/*
	 * INVIA MESSAGGIO. inizio
	 */
	$scope.writeMessage = function(uid){
		$rootScope.modalUserWriteMessage($scope, uid);
	};
	$scope.modalSendMessage = function(){
		$rootScope.modalUserSendMessage($scope);
	};
	$scope.messageSelectAttachments = function(){
		$rootScope.modalUserSelectAttachments($scope);
	};
	$scope.messageAttachPhotoLibrary = function(){
//		$scope.closeAttachments();
		if(navigator.camera){
			var cameraOptions = {
				quality: 75,
				destinationType: Camera.DestinationType.FILE_URI,
				sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
				allowEdit: false,
				encodingType: Camera.EncodingType.JPEG,
				saveToPhotoAlbum: false,
				mediaType: Camera.MediaType.PICTURE
			};
			MyCamera.getPicture(cameraOptions).then(
				function(fileURIs) {
					
					for ( var f = 0; f < fileURIs.length; f++) {
						var fileURI = fileURIs[f];
						var ma = {};
						ma.id = $scope.messageToSend.attachments.length;
						ma.uri = fileURI;
						ma.thumb = fileURI;
						ma.type = "pic";
						$scope.messageToSend.attachments.push(ma);
						log("attach photo (library): "+fileURI);
					}
					$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(true);
					
				}, function(err) {
				}
			);
		}
	};
	
	$scope.messageAttachVideoLibrary = function(){
//		$scope.closeAttachments();
		if(navigator.camera){
			var cameraOptions = {
				quality: 75,
				destinationType: Camera.DestinationType.FILE_URI,
				sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
				allowEdit: false,
				encodingType: Camera.EncodingType.JPEG,
				saveToPhotoAlbum: false,
				mediaType: Camera.MediaType.VIDEO
			};
			MyCamera.getPicture(cameraOptions).then(
				function(fileURI) {
					
					var ma = {};
					ma.id = $scope.messageToSend.attachments.length;
					ma.uri = fileURI;
					ma.type = "vid";
					window.PKVideoThumbnail.createThumbnail( ma.uri, ma.uri.replace(".mp4", ".jpg").replace(".MOV", ".jpg").replace(".mov",".jpg"), function(thumb){ma.thumb = thumb}, function(){ma.thumb = ""} );
					$scope.messageToSend.attachments.push(ma);
					
					$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(true);

					// TODO: view http://plugreg.com/plugin/ednasgoldfishuk/VideoThumbnail
					// TODO: view https://github.com/ednasgoldfishuk/VideoThumbnail

					log("attach video (library): "+fileURI);
				}, function(err) {
				}
			);
		}
	};
	
	$scope.messageAttachPhoto = function(){
//		$scope.closeAttachments();
		if(navigator.camera){
			var cameraOptions = {
				quality: 75,
				destinationType: Camera.DestinationType.FILE_URI,
				sourceType: Camera.PictureSourceType.CAMERA,
				allowEdit: false,
				saveToPhotoAlbum: false
			};
			MyCamera.getPicture(cameraOptions).then(
				function(fileURI) {

					var ma = {};
					ma.id = $scope.messageToSend.attachments.length;
					ma.uri = fileURI;
					ma.thumb = fileURI;
					ma.type = "pic";
					$scope.messageToSend.attachments.push(ma);
					
					$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(true);

					log("attach photo: "+fileURI);
				}, function(err) {
				}
			);
		}
	};
	
	$scope.messageAttachVideo = function(){
//		$scope.closeAttachments();
		if(navigator.device.capture){
			var cameraOptions = {
				limit: 1
			};
			MyCamera.getVideo(cameraOptions).then(
				function(mediaFiles) {
				    for (var v = 0; v < mediaFiles.length; v ++) {
				    	
						var ma = {};
						ma.id = $scope.messageToSend.attachments.length;
						ma.uri = mediaFiles[v].fullPath;
						ma.type = "vid";
						window.PKVideoThumbnail.createThumbnail( ma.uri, ma.uri.replace(".mp4", ".jpg").replace(".MOV", ".jpg").replace(".mov",".jpg"), function(thumb){ma.thumb = thumb}, function(){ma.thumb = ""} );
						$scope.messageToSend.attachments.push(ma);
						
						$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(true);
						
						// TODO: view http://plugreg.com/plugin/ednasgoldfishuk/VideoThumbnail
						// TODO: view https://github.com/ednasgoldfishuk/VideoThumbnail
				    	
				        log("attach video path: "+mediaFiles[v].fullPath);
				    }	
				}, function(err) {
				}
			);
		}
	};
	
	$scope.removeAttachment = function(attachment){
		$scope.messageToSend.attachments.splice($scope.messageToSend.attachments.indexOf(attachment), 1);
		$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(true);
	};
	/*
	 * INVIA MESSAGGIO. fine 
	 */
	
	/*
	 * VIDEO. INIZIO
	 */
	
	$scope.currentVideo = {};
	$scope.currentVideoIdx = 0;
	$scope.videoTag = [];
	$scope.videoElement = [];
	
	$scope.onPlayerReady = function(API) {
		$scope.API = API;
	};
	
	$scope.onVideoUpdateState = function(state){
		/*
		var player = null;
		try {
			player = document.getElementsByTagName("video")[0];
		} catch (e) {
			log("get video error: "+e);
		}
		if(player != null){
			player.addEventListener('webkitbeginfullscreen', function(){
			}, false);
			player.addEventListener('webkitendfullscreen', function(){
				try {
					$scope.API.stop();
					player.pause();
					player.src = "";
					player.load();
					$('video').remove();
					$scope.modalUV.remove();
					$scope.modalUV = null;
					$scope.abusePhoto = false;
					$ionicModal.fromTemplateUrl('templates/modal-video.html', {
						id: "video",
						scope: $scope,
						animation: 'fade-in'
					}).then(function(modal) {
						$scope.modalUV = modal;
						$scope.modalUV.show();
					});
				} catch (e) {
					log("VIDEO ERROR: "+e);
				}
			}, false);
		}
		*/
	};
	
	$scope.showVideo = function(videoFile){
		if($rootScope.mySubscription != "true"){
			$ionicPopup.alert({
				title: $translate.instant('video'),
				template: $translate.instant('abbonamento_scaduto_video')
			}).then(function(vres){
			});
		} else {
			$rootScope.modalUserShowVideo($scope, videoFile);
		}
	};
	
	$scope.videoSlideHasChanged = function(index){
		$rootScope.modalUserVideoSlideHasChanged($scope, index);
	};
	
	$scope.getPosterImage = function(fileId){
		return "https://www.erosland.it/nicom1/users/"+$scope.selectedMUId+"/files/"+fileId+".jpg";
	};
	
	$scope.showVideoVotes = function(){
		$rootScope.modalUserShowVideoVotes($scope);
	};
	
	$scope.showVideoComments = function(){
		$rootScope.modalUserShowVideoComments($scope);
	};

	$scope.closeUserVideoModal = function(){
		$scope.modalUV.hide();
		$scope.modalUV.remove();
		
		$scope.videos = null;
		$scope.videoElement = [];
		$('video').remove();
		$scope.videoTag = [];
		
	};

	/*
	 * PHOTO. INIZIO
	 */
	
	$scope.autoExpand = function(){
		$rootScope.autoExpand_($scope);
	};
	
	// keyboard show
	$scope.keyboardShowHandler = function(e){
		
		if($('#comment_footer').attr("id")){
			
			log($('#comment_footer').attr("id"));
			
			$('#comment_footer').css("position","fixed").css("bottom","0");
			$ionicScrollDelegate.$getByHandle('commentsModalScroll').scrollBottom(true);
			if($scope.content_bottom != 0){
				var comment_text = document.getElementById("comment_text");
				var scrollHeight = comment_text.scrollHeight;
				if(scrollHeight > 39){
					$('#comment_text').css("height", scrollHeight + "px");
					$('#comment_footer').css("height", scrollHeight + 10 + "px");
					var cnt_bottom = $scope.content_bottom;
					cnt_bottom = parseInt(cnt_bottom.replace("px",""));
					if($('#comment_footer').height() > $scope.footer_height){
						$('#comment_content').css("bottom", (cnt_bottom+($('#comment_footer').height() - $scope.footer_height))+'px');
					}
				}
			}
			if(!$("#comment_text").is(":focus")){
				$('#comment_text').focus();
			}
		}
		
		/*
		if($('#message_detail_footer').attr("id")){
			
			$('#message_detail_footer').css("position","fixed").css("bottom","0");
			$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(true);
			
			log("$scope.msgDetail.content_bottom: "+$scope.msgDetail.content_bottom);
			
			if($scope.msgDetail.content_bottom != 0){
				var message_detail_text = document.getElementById("message_detail_text");
				var scrollHeight = message_detail_text.scrollHeight;
				if(scrollHeight > 39){
					$('#message_detail_text').css("height", scrollHeight + "px");
					$('#message_detail_footer').css("height", scrollHeight + 10 + "px");
					var cnt_bottom = $scope.msgDetail.content_bottom;
					cnt_bottom = parseInt(cnt_bottom.replace("px",""));
					if($('#message_detail_footer').height() > $scope.msgDetail.footer_height){
						$('#message_detail_content').css("bottom", (cnt_bottom+($('#message_detail_footer').height() - $scope.msgDetail.footer_height))+'px');
					}
				}
			}
			if(!$("#message_detail_text").is(":focus")){
				$('#message_detail_text').focus();
			}
		}
		*/
		
	};
	window.addEventListener('native.keyboardshow', $scope.keyboardShowHandler);
	
	// keyboard hide
	$scope.keyboardHideHandler = function(e){
		
		if($('#comment_footer').attr("id")){
			
			log($('#comment_footer').attr("id"));
			
			$('#comment_footer').css("height", "44px");
			$('#comment_text').css("height", "34px");
			$ionicScrollDelegate.$getByHandle('commentsModalScroll').scrollBottom(true);
		}
		
		if(document.getElementById('message_detail_footer') != undefined){
			
//			document.getElementById('message_detail_footer').style.height = "44px";
//			document.getElementById('message_detail_text').style.height = "34px";
//			document.getElementById('message_detail_content').style.bottom = "44px";
			
			/*
			$('#message_detail_footer').css("height", "44px");
			$('#message_detail_text').css("height", "34px");
			$('#message_detail_content').css("bottom", "44px");
			*/
			
			//$ionicScrollDelegate.$getByHandle('messageDetailModalScroll').scrollBottom(false);
			
		}
		
	};
	window.addEventListener('native.keyboardhide', $scope.keyboardHideHandler);
	
	$scope.voteValue = 10;
	$scope.showTA = false;
	$scope.footer_height = 0;
	$scope.content_bottom = 0;
	$scope.commentText = {};
	$scope.commentText.value = "";
	$scope.photoViewed = {};
	$scope.currentZoom = 1;
	$scope.zoomInOutClicked = false;
	$scope.showLoadMorePhotos = false;
	
	$scope.showHidePHF = function(){
		$scope.zoomInOutClicked = !$scope.zoomInOutClicked;
		setTimeout(function(){
			if($scope.zoomInOutClicked){
				$scope.zoomInOutClicked = false;
				if($scope.currentZoom > 1){
					$('#photo_header').fadeOut();
					$('#photo_votes').fadeOut();
					$('#photo_footer').fadeOut();
				} else {
					if($('#photo_header').css("display") == "none"){
						$('#photo_header').fadeIn();
						$('#photo_votes').fadeIn();
						$('#photo_footer').fadeIn();
					} else {
						$('#photo_header').fadeOut();
						$('#photo_votes').fadeOut();
						$('#photo_footer').fadeOut();
					}
				}
			} else {
				$scope.zoomInOutClicked = true;
				$scope.currentZoom = $scope.currentZoom > 1 ? 1 : 2;
				if($scope.currentZoom > 1){
					$scope.slideEnabled = false;
					$ionicSlideBoxDelegate.enableSlide(false);
				} else {
					$scope.slideEnabled = true;
					$ionicSlideBoxDelegate.enableSlide(true);
				}
				$ionicScrollDelegate.$getByHandle('photoZoom_'+$scope.currentPhotoId).zoomTo($scope.currentZoom, true);
			}
		}, 300);
	};
	
	$scope.scrollPhotoView = null;
	$scope.slideEnabled = true;
	
	$scope.checkZoom = function(){
		if($scope.scrollPhotoView == null){
			$scope.scrollPhotoView = $ionicScrollDelegate.$getByHandle('photoZoom_'+$scope.currentPhotoId).getScrollView();
		}
		$scope.currentZoom = $scope.scrollPhotoView.__zoomLevel;
		if($scope.scrollPhotoView.__zoomLevel>1 && $scope.slideEnabled){
			$scope.slideEnabled = false;
			$ionicSlideBoxDelegate.enableSlide(false);
		} else if($scope.scrollPhotoView.__zoomLevel == 1 && !$scope.slideEnabled){
			$scope.slideEnabled = true;
			$ionicSlideBoxDelegate.enableSlide(true);
		}
		//log("z: "+$scope.scrollPhotoView.__zoomLevel+", t: "+$ionicScrollDelegate.$getByHandle('photoZoom_'+$scope.currentPhotoId).getScrollPosition().top+", l: "+$ionicScrollDelegate.$getByHandle('photoZoom_'+$scope.currentPhotoId).getScrollPosition().left);
	};

	$scope.showTextArea = function(){
		$rootScope.showTextArea_($scope);
	};

	$scope.showPhoto = function(photoFile){
		$rootScope.modalUserShowPhoto($scope, photoFile);
	};
	
	$scope.photoSlideHasChanged = function(index){
		$scope.scrollPhotoView = null;
		$rootScope.modalUserPhotoSlideHasChanged($scope, index);
	};
	
	$scope.closeUserPhotoModal = function(){
		$scope.modalUP.hide();
		$scope.modalUP.remove();
		
		$scope.photoViewed = {};
		$scope.currentZoom = 1;
		$scope.zoomInOutClicked = false;
		$scope.showLoadMorePhotos = false;
		$scope.files = null;
		$scope.user = null;
		$scope.coverWidth = null;
		$scope.wHeight = null;
		$scope.photoFile = null;
		$scope.abusePhoto = true;
	};
	
	$scope.showPhotoVotes = function(){
		$rootScope.modalUserShowPhotoVotes($scope);
	};
	
	$scope.closeVideoVotesModal = function(){
		$rootScope.modalUserCloseVideoVotesModal($scope);
	};
	
	$scope.voteFile = function(vote){
		$rootScope.modalUserVoteFile($scope, vote);
	};
	
	$scope.showPhotoComments = function(){
		$rootScope.modalUserShowPhotoComments($scope);
	};
	
	$scope.closeVideoCommentsModal = function(){
		$rootScope.modalUserCloseVideoCommentsModal($scope);
	};
	
	$scope.showPreviousComments = function(){
		$rootScope.modalUserShowPreviousComments($scope);
	};

	$scope.loadFileComments = function(scrollBottom){
		$rootScope.modalUserLoadFileComments($scope, scrollBottom);
	};
	
	$scope.deleteComment = function(commentId){
		$rootScope.modalUserDeleteComment($scope, commentId);
	};
	
	$scope.fileComment = function(){
		$rootScope.modalUserFileComment($scope);
	};
	
	/*
	 * PHOTO. FINE
	 */
	
	$scope.reportAbuse = function(){
		$rootScope.reportAbuse_($scope);
	};
	
	/*
	 * ---------------------------------------------
	 * MODAL USER. FINE
	 */
	
	/*
	 * EVENTO SELEZIONATO. INIZIO
	 * ---------------------------------------------
	 */
	
	$scope.showEvent = function(eventId){
		
		$scope.selectedEventId = eventId;
		
		if(window.StatusBar && device.platform != 'android' && device.platform != 'Android'){
			StatusBar.hide();
		}

		$ionicModal.fromTemplateUrl('templates/modal-event.html', {
			id: "event",
			scope: $scope,
			animation: 'slide-in-right',
			focusFirstInput: false,
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalE = modal;
			$scope.modalE.show();
		});
		
	};
	
	$scope.eventLoaded = function(){
		if($scope.emd._getEventDetails && $scope.emd._countJoinUsers && $scope.emd._listWall){
			$ionicLoading.hide();
		}
	};
	
	$scope.$on('modal.shown', function(event, modal){
		if(modal.id == "event"){
			
			$ionicLoading.show({
				template: '<ion-spinner icon="circles" class="spinner-bianco"></ion-spinner>'
			});
			
			$scope.emd = {};
			$scope.eventObj = {};
			$scope.emd.lastWallId = "X";
			
			var deferred_event_detail = $q.defer();
			var promise_event_detail = deferred_event_detail.promise;
			promise_event_detail.then(function(result){
				
				$scope.eventObj = result.event_details;
				$scope.eventObj.e_desc = $scope.eventObj.e_desc.replace(/\r\n/g, '<br>');
				
				//$scope.eventObj.e_loc = "Lazio, Roma, Roma, Via Beniamino Franklin 3/A";
				//$scope.eventObj.e_group_founder_nick = "Nick fondatore evento";
				
				$scope.emd.canJoinEvent = userId != $scope.eventObj.e_group_founder_id;

				$scope.emd._getEventDetails = true;
				$scope.eventLoaded();
				
			}, function(reason){
				$scope.emd._getEventDetails = true;
				$scope.eventLoaded();
			});
			Events.getEventDetails($scope.selectedEventId, deferred_event_detail);
			
			var cw = $(window).width();
			if(cw > 775){
				cw = 775;
			}
			var ch = ($(window).width() * 300 / 775);
			if(ch > 300){
				ch = 300;
			}
			$scope.emd.coverWidth = cw+'px';
			$scope.emd.coverHeight = ch+'px';
			$scope.emd.contentTop = (ch+2)+'px';
			
			$scope.emd.joinEventStatus = 0;
			
			$scope.emd.eventDecision = false;
			
			// numero partecipanti
			$scope.emd.joinUsers0 = -1;
			$scope.emd.joinUsers1 = -1;
			$scope.emd.joinUsers2 = -1;
			$scope.emd.joinUsers3 = -1;
			
			// conteggio partecipanti
			$scope.countJoinUsers(0, true);
			
			// conteggio forse partecipano
			$scope.countJoinUsers(2);
			
			// caricamento bacheca
			$scope.listWall(true);
						
		} else if(modal.id == "event-users"){
			
		} else if(modal.id == "event-user"){
			
			var cw = $(window).width()*0.9;
			if(cw > 775){
				cw = 775;
			}
			var ch = (($(window).width()*0.9) * 300 / 775);
			if(ch > 300){
				ch = 300;
			}
			$scope.emusd.coverWidth = cw+'px';
			$scope.emusd.coverHeight = ch+'px';
			$scope.emusd.contentTop = (ch+35)+'px';
			$scope.emusd.contentViewHeight = (($(window).height()*0.9) - (ch+35))+'px';
			$scope.emusd.slideHeight = (($(window).height()*0.9) - (ch+35+43))+'px';
			
			$scope.emusd.showLoadMorePhotos = false;
			
			var deferred_userProfileInfo = $q.defer();
			var promise_userProfileInfo = deferred_userProfileInfo.promise;
			promise_userProfileInfo.then(function(result){
				$scope.emusd.user = result.users[0].user;
			}, function(reason){
			});
			UserProfile.getInfo($scope.emusd.selectedFriendId, deferred_userProfileInfo);
			
			var deferred_userProfile = $q.defer();
			var promise_userProfile = deferred_userProfile.promise;
			promise_userProfile.then(function(result){
				
				try {
					result = result.replace(/\/img\/announce\/Icons\/user_female\.png/g, "https://www.erosland.it/img/announce/Icons/user_female.png");
					result = result.replace(/\/img\/announce\/Icons\/user_male\.png/g, "https://www.erosland.it/img/announce/Icons/user_male.png");
				} catch (e) {
					
				}
				
				$scope.emusd.userProfileHtml = result;
				
			}, function(reason){
			});
			UserProfile.getHtml($scope.emusd.selectedFriendId, deferred_userProfile);
			
		}
	});
	
	$scope.ewText = function(txt){
		return txt.replace(/\n/g, '<br>');
	};
	
	$scope.ewProfile = function(usr){
		var user_profile = "";
		if(usr.ew_u_profile_value_id > 41){
			user_profile = usr.ew_u_profile.split("|")[0];
		} else if(usr.ew_u_profile_value_id == 4){
			user_profile = "<font class='color-blu'>"+(usr.ew_u_age1 > 0 ? usr.ew_u_age1 : "")+"</font>";
		} else if(usr.ew_u_profile_value_id == 5){
			user_profile = "<font class='color-rosa'>"+(usr.ew_u_age1 > 0 ? usr.ew_u_age1 : "")+"</font>";
		} else if(usr.ew_u_profile_value_id == 6){
			user_profile = "<font class='color-blu'>"+(usr.ew_u_age1 > 0 ? usr.ew_u_age1 : "")+"</font>";
			user_profile += "&nbsp;&nbsp;<font class='color-rosa'>"+(usr.ew_u_age2 > 0 ? usr.ew_u_age2 : "")+"</font>";
		} else if(usr.ew_u_profile_value_id == 7){
			user_profile = "<font class='color-blu'>"+(usr.ew_u_age1 > 0 ? usr.ew_u_age1 : "")+"</font>";
			user_profile += "&nbsp;&nbsp;<font class='color-blu'>"+(usr.ew_u_age2 > 0 ? usr.ew_u_age2 : "")+"</font>";
		} else if(usr.ew_u_profile_value_id == 9){
			user_profile = "<font class='color-rosa'>"+(usr.ew_u_age1 > 0 ? usr.ew_u_age1 : "")+"</font>";
			user_profile += "&nbsp;&nbsp;<font class='color-rosa'>"+(usr.ew_u_age2 > 0 ? usr.ew_u_age2 : "")+"</font>";
		}
		return user_profile;
	};
	
	$scope.listWall = function(start){
		var deferred_event_wall = $q.defer();
		var promise_event_wall = deferred_event_wall.promise;
		promise_event_wall.then(function(result){
			
			$scope.emd.showLoadPreviousWall = result.event_wall_list.length == 10;
			
			if(result.event_wall_list.length > 0){
				if($scope.emd.lastWallId == "X"){
					var wall_list_ = result.event_wall_list.reverse();
					$scope.emd.wall_list = wall_list_;
					$scope.emd.lastWallId = result.event_wall_list[result.event_wall_list.length-1].event.ew_id;
				} else {
					for ( var ew = 0; ew < result.event_wall_list.length; ew++) {
						$scope.emd.wall_list.unshift(result.event_wall_list[ew]);
						$scope.emd.lastWallId = result.event_wall_list[ew].event.ew_id;
					}
				}
			} else {
				$scope.emd.wall_list = [];
			}
			
			if(start){
				$scope.emd._listWall = true;
				$scope.eventLoaded();
			}
			
		}, function(reason){
			if(start){
				$scope.emd._listWall = true;
				$scope.eventLoaded();
			}
		});
		Events.listWall($scope.selectedEventId, userId, $scope.emd.lastWallId, deferred_event_wall);
	};
	
	$scope.loadPreviousWall = function(){
		$scope.listWall(false);
	};
	
	$scope.eventWallWrite = function(){
		
		$scope.emwwd = {};
		$scope.emwwd.wallText = {value:""};
		$scope.emwwd.wallTextHeight = ($(window).height()*0.40)+'px';
		
		try {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
		} catch (e) {
		}
		
		$ionicModal.fromTemplateUrl('templates/modal-event-wall-write.html', {
			id: "wall-write",
			scope: $scope,
			animation: 'slide-in-up',
			focusFirstInput: true,
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalEWW = modal;
			$scope.modalEWW.show();
		});
	};
	
	$scope.checkEventWallText = function(){
		if($scope.emwwd.wallText.value.length > 0){
			$('#evt_wall_write').removeAttr("disabled");
		} else {
			$('#evt_wall_write').attr("disabled", "disabled")
		}
	};
	
	$scope.sendEventWallMessage = function(){
		if($scope.emwwd.wallText.value.length > 0){
			var deferred_event_wall = $q.defer();
			var promise_event_wall = deferred_event_wall.promise;
			promise_event_wall.then(function(result){
				
				$scope.emd.wall_list.push(result.event_wall_write[0]);
				
				$scope.closeModalWallWrite();
				
			}, function(reason){
				$scope.closeModalWallWrite();
			});
			Events.sendWallMessage($scope.selectedEventId, userId, $scope.emwwd.wallText.value, deferred_event_wall);
			
		}
	};
	
	/*
	$scope.loadPhotos = function(){
		log("scope.loadPhotos");
		var deferred_userProfilePhotos = $q.defer();
		var promise_userProfilePhotos = deferred_userProfilePhotos.promise;
		promise_userProfilePhotos.then(function(result){
			if($scope.emusd.userPhotosPage == 0){
				$scope.emusd.files = result.files;
			} else {
				$scope.emusd.files = $scope.emusd.files.concat(result.files);
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			if(result.files.length < 24){
				$scope.emusd.showLoadMorePhotos = false;
			} else {
				$scope.emusd.showLoadMorePhotos = true;
			}
		}, function(reason){
		});
		if($rootScope.mobileBrowser){
			UserProfile.getPhotos(userId, $scope.emusd.selectedFriendId, $scope.emusd.userPhotosPage, deferred_userProfilePhotos);
		} else {
			UserProfile.getPhotosApproved(userId, $scope.emusd.selectedFriendId, $scope.emusd.userPhotosPage, deferred_userProfilePhotos);
		}
	};
	*/
	
	$scope.slideHasChanged = function(index){
		if(index == 0){
			// profilo
		} else if(index == 1){
			// foto
			$scope.emusd.photodim = ((($(window).width()*0.9)/3)-12)+'px';
			
			if($scope.emusd.slidePhotoViewed == undefined || $scope.emusd.slidePhotoViewed == null){
				// prima volta in slide foto
				$scope.emusd.slidePhotoViewed = true;
				$scope.emusd.userPhotosPage = 0;
				$scope.loadPhotos();
			} else {
				
			}
		}
	};
	
	$scope.loadMorePhotos = function(){
		$scope.emusd.userPhotosPage = $scope.emusd.userPhotosPage+1;
		$scope.loadPhotos();
	};
	
	
	$scope.countJoinUsers = function(status, start){
		var deferred_events_users = $q.defer();
		var promise_events_users = deferred_events_users.promise;
		promise_events_users.then(function(result){
			var evt_users = 0;
			evt_users += result.event_info.e_cnt_singole;
			evt_users += result.event_info.e_cnt_singoli;
			evt_users += result.event_info.e_cnt_altro;
			evt_users += (result.event_info.e_cnt_coppie*2);
			evt_users += result.event_info.e_cnt_tt;
			if(status == 0){
				$scope.emd.joinUsers0 = evt_users;
			} else if(status == 1){
				$scope.emd.joinUsers1 = evt_users;
			} else if(status == 2){
				$scope.emd.joinUsers2 = evt_users;
			} else if(status == 3){
				$scope.emd.joinUsers3 = evt_users;
			}
			
			if($scope.emud){
				$scope.emud.title = $scope.emud.title+" <font class='color-grigio'>"+evt_users+"<font>";
				$scope.emud.e_cnt_coppie = result.event_info.e_cnt_coppie;
				$scope.emud.e_cnt_singole = result.event_info.e_cnt_singole;
				$scope.emud.e_cnt_singoli = result.event_info.e_cnt_singoli;
				$scope.emud.e_cnt_altro = result.event_info.e_cnt_altro;
				$scope.emud.e_cnt_tt = result.event_info.e_cnt_tt;
				
				if($scope.emud.e_cnt_coppie > 0){
					$scope.listJoinUsers(1);
				} else if($scope.emud.e_cnt_singole > 0){
					$scope.listJoinUsers(2);
				} else if($scope.emud.e_cnt_singoli > 0){
					$scope.listJoinUsers(3);
				} else if($scope.emud.e_cnt_altro > 0){
					$scope.listJoinUsers(4);
				} else if($scope.emud.e_cnt_tt > 0){
					$scope.listJoinUsers(5);
				}
				
			}
			
			// controllo mio stato 
			if(!result.event_info.e_join_yes && !result.event_info.e_join_no && !result.event_info.e_join_maybe){
				$scope.emd.joinEventStatusPresent = false;
				$scope.emd.joinRequestSent = false;
			} else {
				$scope.emd.joinEventStatusPresent = true;
				$scope.emd.joinEventStatus = result.event_info.e_join_yes ? 0 : (result.event_info.e_join_maybe ? 1 : 2);
				/*
				if(result.event_info.e_dinner && result.event_info.e_join_yes){
					$('#event_join_dinner_decision').fadeIn();
					if(result.event_info.e_join_dinner == 1){
						$('#event_join_before_dinner').css("color","#77A201").css("border-color","#77A201");
						$('#event_join_before_dinner').find("i").addClass("colorGreen").show();
					} else if(result.event_info.e_join_dinner == 2){
						$('#event_join_after_dinner').css("color","#77A201").css("border-color","#77A201");
						$('#event_join_after_dinner').find("i").addClass("colorGreen").show();
					}
				} else {
					$('#event_join_dinner_decision').hide();
				}
				*/			
			}
			
			if(start){
				$scope.emd._countJoinUsers = true;
				$scope.eventLoaded();
			}
			
		}, function(reason){
			if(start){
				$scope.emd._countJoinUsers = true;
				$scope.eventLoaded();
			}
		});
		Events.countJoinUsers($scope.selectedEventId, userId, status, deferred_events_users);
	};
	
	$scope.eventJoinRequest = function(){
		$scope.emd.eventDecision = true;
		var deferred_events_users = $q.defer();
		var promise_events_users = deferred_events_users.promise;
		promise_events_users.then(function(result){
			
			if(result.event_join_ext == "join_ok"){
				$scope.emd.joinEventStatusPresent = true;
				$scope.emd.joinEventStatus = 0;
			} else if(result.event_join_ext == "request_ok"){
				$scope.emd.joinRequestSent = true;
			}
			$scope.emd.eventDecision = false;
			
		}, function(reason){
		});
		Events.eventJoinRequest($scope.selectedEventId, userId, deferred_events_users);
	};
	
	$scope.joinEvent = function(status){
		
		$scope.emd.eventDecision = true;
		
		var deferred_events_users = $q.defer();
		var promise_events_users = deferred_events_users.promise;
		promise_events_users.then(function(result){
			
			if(result.event_join == "ok"){
				$scope.emd.joinEventStatus = status;
			}
			$scope.emd.eventDecision = false;
			
		}, function(reason){
		});
		Events.eventJoin($scope.selectedEventId, userId, status, deferred_events_users);
	};
	
	$scope.showJoinUsers = function(status){
		
		$ionicLoading.show({
			template: '<ion-spinner icon="circles" class="spinner-bianco"></ion-spinner>'
		});
		
		$scope.emud = {title: (status == 0 ? $translate.instant('partecipano') : (status == 2 ? $translate.instant('forse_partecipano') : (status == 1 ? $translate.instant('non_partecipano') : $translate.instant('devono_confermare')))), status: status};
		
		$scope.countJoinUsers(status);
		
		$ionicModal.fromTemplateUrl('templates/modal-event-users.html', {
			id: "event-users",
			scope: $scope,
			animation: 'slide-in-up',
			hardwareBackButtonClose: false
		}).then(function(modal) {
			$scope.modalEU = modal;
			$scope.modalEU.show();
		});
	};
	
	/*
	$scope.showJoinUserInfo = function(uid){

		$scope.emusd = {};
		
		$scope.emusd.selectedFriendId = uid;
		
		$ionicModal.fromTemplateUrl('templates/modal-event-user.html', {
			id: "event-user",
			scope: $scope,
			animation: 'slide-in-up'
		}).then(function(modal) {
			$scope.modalEUS = modal;
			$scope.modalEUS.show();
		});
	};
	*/
	
	$scope.listJoinUsers_ = function(){
		
		if($scope.emud.joinUsersPage == 0){
			$ionicScrollDelegate.$getByHandle('scrollJoinUsers').scrollTop(true);
		}
		
		if($ionicScrollDelegate.$getByHandle('scrollJoinUsers').getScrollPosition().top == 0 && $scope.emud.joinUsersPage > 0){
			$scope.emud.joinUsersPage--;
			$scope.$broadcast('scroll.infiniteScrollComplete');
			return;
		}
		
		var deferred_events_users_list = $q.defer();
		var promise_events_users_list = deferred_events_users_list.promise;
		promise_events_users_list.then(function(result){
			$(result).find('join_user').each(function (){
				var u_ejoin = {};
				u_ejoin.id = $(this).find('id').text();
				u_ejoin.avatar = $(this).html().match(/<img>([^<]+)</)[1];
				u_ejoin.nick = $(this).find('nick').text();
				u_ejoin.link = $(this).find('link').text();
				u_ejoin.note = $(this).find('note').text();
				u_ejoin.note_rating = $(this).find('rating').text();
				u_ejoin.verified = $(this).find('verified').text();
				u_ejoin.feedback_cnt = $(this).find('feedback_cnt').text();
				u_ejoin.feedback_perc = $(this).find('feedback_perc').text();
				u_ejoin.feedback_perc_format = $(this).find('feedback_perc_format').text();
				u_ejoin.at_dinner = $(this).find('at_dinner').text();
				
				u_ejoin.location = $(this).find('location').text();
				u_ejoin.profile = $(this).find('profile').text();
				u_ejoin.profile_value_id = parseInt($(this).find('profile_value_id').text());
				u_ejoin.age1 = parseInt($(this).find('age1').text());
				u_ejoin.age2 = parseInt($(this).find('age2').text());
				u_ejoin.app_approved = $(this).find('app_approved').text() == "true" ? true : false;
				
				//log(u_ejoin.nick, u_ejoin.profile_value_id);

				var user_profile = "";
				if(u_ejoin.profile_value_id > 41){
					user_profile = u_ejoin.profile.split("|")[0];
				} else if(u_ejoin.profile_value_id == 4){
					user_profile = "<font class='color-blu'>"+(u_ejoin.age1 > 0 ? u_ejoin.age1 : "")+"</font>";
				} else if(u_ejoin.profile_value_id == 5){
					user_profile = "<font class='color-rosa'>"+(u_ejoin.age1 > 0 ? u_ejoin.age1 : "")+"</font>";
				} else if(u_ejoin.profile_value_id == 6){
					user_profile = "<font class='color-blu'>"+(u_ejoin.age1 > 0 ? u_ejoin.age1 : "")+"</font>";
					user_profile += "&nbsp;&nbsp;<font class='color-rosa'>"+(u_ejoin.age2 > 0 ? u_ejoin.age2 : "")+"</font>";
				} else if(u_ejoin.profile_value_id == 7){
					user_profile = "<font class='color-blu'>"+(u_ejoin.age1 > 0 ? u_ejoin.age1 : "")+"</font>";
					user_profile += "&nbsp;&nbsp;<font class='color-blu'>"+(u_ejoin.age2 > 0 ? u_ejoin.age2 : "")+"</font>";
				} else if(u_ejoin.profile_value_id == 9){
					user_profile = "<font class='color-rosa'>"+(u_ejoin.age1 > 0 ? u_ejoin.age1 : "")+"</font>";
					user_profile += "&nbsp;&nbsp;<font class='color-rosa'>"+(u_ejoin.age2 > 0 ? u_ejoin.age2 : "")+"</font>";
				}
				u_ejoin.profileHtml = user_profile;
				
				$scope.emud.joinUsersList.push(u_ejoin);
			});

			if($(result).find('join_user').length == 20){
				$scope.emud.showLoadMoreJoinUsers = true;
			} else {
				$scope.emud.showLoadMoreJoinUsers = false;
			}
			if($scope.emud.joinUsersPage > 0){
				$scope.$broadcast('scroll.infiniteScrollComplete');
			}
			
			$ionicLoading.hide();
			
		}, function(reason){
		});
		Events.listJoinUsers($scope.selectedEventId, $scope.emud.status==0 ? 1 : 0, $scope.emud.status==2 ? 1 : 0, $scope.emud.status==1 ? 1 : 0, $scope.emud.status==3 ? 1 : 0, $scope.emud.joinUserType, $scope.emud.joinUsersPage, userId, "F", "X", deferred_events_users_list);
	};
	
	$scope.listJoinUsers = function(userType){
		$scope.emud.joinUserType = userType;
		$scope.emud.joinUsersPage = 0;
		$scope.emud.joinUsersList = [];
		$scope.listJoinUsers_();
	};
	
	$scope.listJoinUsersMore = function(){
		$scope.emud.joinUsersPage++;
		$scope.listJoinUsers_();
	};
	
	$scope.eventClose = function(){
		$scope.modalE.hide();
		$scope.modalE.remove();

		$scope.emd = null;
		$scope.eventObj = null;
		
		if(window.StatusBar){
			StatusBar.show();
		}
		
	};
	
	$scope.eventUsersClose = function(){
		$scope.modalEU.hide();
		$scope.modalEU.remove();
		$scope.emud = null;
	};
	
	$scope.closeJoinUserInfo = function(){
		$scope.modalEUS.hide();
		$scope.modalEUS.remove();
		$scope.emusd = null;
	};

	$scope.closeModalWallWrite = function(){
		$scope.modalEWW.hide();
		$scope.modalEWW.remove();
		try {
			cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
		} catch (e) {
		}
		$scope.emwwd = null;
	};

	/*
	 * ---------------------------------------------
	 * EVENTO SELEZIONATO. FINE
	 */
	
});