angular.module('srv.camera', [])

.factory('MyCamera', function($q){
	
	return {
			
		getPicture: function(options) {
			
			if(options.mediaType == Camera.MediaType.PICTURE){
				// pick multiple images
				var q = $q.defer();
				window.imagePicker.getPictures(function(result) {
					q.resolve(result);
				}, function(err) {
					q.reject(err);
				}, options);
				return q.promise;
			} else {
				var q = $q.defer();
				navigator.camera.getPicture(function(result) {
					q.resolve(result);
				}, function(err) {
					q.reject(err);
				}, options);
				return q.promise;
			}
		},
		
		getVideo: function(options){
			var q = $q.defer();
			navigator.device.capture.captureVideo(function(result) {
				q.resolve(result);
			}, function(err) {
				q.reject(err);
			}, options);
			return q.promise;
		}
	
	}
	
});