angular.module('srv.eventinvites', [])

.factory('EventInvites', function($http){
	
	return {
		
		list: function(userId, page, deferred_evt){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonEventInvitesList&sp='+userId+'&sp='+page, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_evt.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_evt.reject("error call");
			});
		},
		
		count: function(userId, deferred_evt){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonEventInvitesCount&sp='+userId, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_evt.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_evt.reject("error call");
			});
		},
		
		deleteInvite: function(eventInviteId, deferred_evt){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonEventInviteDelete&sp='+eventInviteId, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_evt.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_evt.reject("error call");
			});
		},
		
		eventJoin: function(userId, eventId, act_yes, act_no, act_maybe, deferred_evt){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonEventJoin&sp='+userId+'&sp='+eventId+'&sp='+act_yes+'&sp='+act_no+'&sp='+act_maybe, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_evt.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_evt.reject("error call");
			});
		}

	}

});