angular.module('srv.friendsmap', [])

.factory('FriendsMap', function($http){
	
	return {
		
		getFriends: function(userId, sqr_lat1, sqr_lat2, sqr_lng1, sqr_lng2, friends, profileValueId, contact, deferred_events){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonGeolocationGetUsers&sp='+userId+'&sp=f'+sqr_lat1+'&sp=f'+sqr_lat2+'&sp=f'+sqr_lng1+'&sp=f'+sqr_lng2+'&sp='+(friends ? "T" : "F")+'&sp='+(profileValueId != 0 ? profileValueId : "X")+'&sp='+(contact ? "T" : "F"), dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_events.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_events.reject("error call");
			});
		}		
				
	}

});