angular.module('srv.home', [])

.factory('Shorts', function($http){
	
	return {
		
		// Lista shorts
		get: function(userId, page, userIdSelected, deferred_shorts){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=json&context=JsonTwitsHome&sp='+userId+'&sp='+page+'&sp='+(userIdSelected == userId ? 0 : userIdSelected), dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_shorts.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_shorts.reject("error call");
			});
		},
		
		// Rimuovi mi piace/non mi piace short
		shortRemoveLike: function(shortId, like, deferred_shortRemoveLike){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=xml&context=TwitsLike&sp=Sdel&sp='+shortId+'&sp='+(like == 1 ? "T" : "F")+'&sp='+userUpiId, dataType: 'xml'})
			.success(function(data, status, headers, config){
				deferred_shortRemoveLike.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_shortRemoveLike.reject("error call");
			});
		},
		
		// Mi piace/non mi piace short
		shortLike: function(shortId, like, deferred_shortLike){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=xml&context=TwitsLike&sp=Sadd&sp='+shortId+'&sp='+(like == 1 ? "T" : "F")+'&sp='+userUpiId, dataType: 'xml'})
			.success(function(data, status, headers, config){
				deferred_shortLike.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_shortLike.reject("error call");
			});
		},
		
		// lista mi piace/non mi piace shorts
		showShortLikes: function(shortId, like, page, deferred_shortLikes){
			$http({method: 'GET', cache: false, url:'https://www.erosland.it/nicom1/nicom1?service=xml&context=TwitsLike&sp=Slist&sp='+shortId+'&sp='+(like == 1 ? "T" : "F")+'&sp='+userId+'&sp='+page, dataType: 'xml'})
			.success(function(data, status, headers, config){
				deferred_shortLikes.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_shortLikes.reject("error call");
			});
		},
		
		writeShort: function(userId, selectedUserId, txt, deferred_shorts){
			$http.post('https://www.erosland.it/nicom1/nicom1', 'service=json&context=JsonSendShort&sp='+userId+'&sp='+selectedUserId+'&sp=S'+txt, {cache: false, dataType: 'json'})
			.success(function(data, status, headers, config){
				deferred_shorts.resolve(data);
			}).error(function(data, status, headers, config){
				deferred_shorts.reject("error call");
			});
		}
		
	}

});